Index: general/genlib/brotli.xml
===================================================================
--- general/genlib/brotli.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
+++ general/genlib/brotli.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -0,0 +1,244 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY brotli-download-http "https://github.com/google/brotli/archive/v&brotli-version;.tar.gz">
+  <!ENTITY brotli-download-ftp  " ">
+  <!ENTITY brotli-md5sum        "7b6edd4f2128f22794d0ca28c53898a5">
+  <!ENTITY brotli-size          "23 MB">
+  <!ENTITY brotli-buildsize     "43 MB (add 5 MB if installing both sets of python bindings, add 9 MB for the main test and 5MB for testing the bindings)">
+  <!-- time for testing without the bindings is minimal, each set takes similar tiem and space -->
+  <!ENTITY brotli-time          "0.2 SBU (add 0.3 SBU for the python bindings, and 1.2 SBU if testing them)">
+]>
+
+<sect1 id="brotli" xreflabel="Brotli-&brotli-version;">
+  <?dbhtml filename="brotli.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Brotli-&brotli-version;</title>
+
+  <indexterm zone="brotli">
+    <primary sortas="a-brotli">Brotli</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Brotli</title>
+
+    <para>
+      <application>Brotli</application> provides a general-purpose lossless
+      compression algorithm that compresses data using a combination of a
+      modern variant of the LZ77 algorithm, Huffman coding and 2nd order
+      context modeling. Its libraries are particularly used for WOFF2 fonts
+      on webpages.
+    </para>
+
+    &lfs90_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&brotli-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&brotli-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &brotli-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &brotli-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &brotli-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &brotli-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <note>
+      <para>
+        The <application>Brotli</application> source tarball shown above
+        downloads with the correct name, brotli-&brotli-version;.tar.gz,
+        if using a browser such as Firefox. If you prefer to use a command line
+        program such as wget, you normally would obtain
+        v&brotli-version;.tar.gz. To obtain this package with the proper
+        filename, run:
+
+<screen><userinput>wget -c https://github.com/google/brotli/archive/v&brotli-version;.tar.gz \
+     -O brotli-&brotli-version;.tar.gz</userinput></screen>.
+      </para>
+    </note>
+
+    <bridgehead renderas="sect3">Brotli Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="cmake"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="python2"/> (to create the bindings for that)
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/brotli"/>
+    </para>
+  </sect2>
+
+
+  <sect2 role="installation">
+    <title>Installation of Brotli</title>
+
+    <para>
+      Install <application>brotli</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir out &amp;&amp;
+cd out    &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=/usr \
+      -DCMAKE_BUILD_TYPE=Release  \
+      ..  &amp;&amp;
+make</userinput></screen>
+
+
+    <para>
+      To test the results, issue: <command>make test</command>.
+    </para>
+
+    <para>
+      If desired, either or both sets of python bindings can be built and
+      installed without any conflicts. If you need the
+      <application>Python2</application> bindings, add or substitute
+      <command>python2</command> for <command>python3</command> in the
+      following instructions:
+    </para>
+
+<screen><userinput>pushd ..               &amp;&amp;
+python3 setup.py build &amp;&amp;
+popd</userinput></screen>
+
+    <para>
+      If you wish to test the bindings, go back to the top-level directory and
+      run python3 setup.py test.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install &amp;&amp;
+cd ..</userinput></screen>
+
+    <para>
+      If you have built either or both sets of <application>python</application>
+      bindings, install them as the <systemitem class="username">root</systemitem>
+      user (as before, use the appropriate version(s) of
+      <application>python</application>:
+    </para>
+
+<!-- EDITORS: for DESTDIR style installs use
+python3 setup.py install \-\-root /some/where -->
+<screen role="root"><userinput>python3 setup.py install --optimize=1</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>
+          brotli.
+        </seg>
+        <seg>
+          libbrotlicommon{-static.a,.so}, libbrotlidec{,-static,.so} and libbrotlienc{,-static,.so}.
+        </seg>
+        <seg>
+          /usr/include/brotli
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="brotli-prog">
+        <term><command>brotli</command></term>
+        <listitem>
+          <para>
+            can compress or decompress files, or test the integrity of
+            compressed files.
+          </para>
+          <indexterm zone="brotli brotli-prog">
+            <primary sortas="b-brotli">brotli</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libbrotlicommon">
+        <term><filename class="libraryfile">libbrotlicommon{-static.a,.so}</filename></term>
+        <listitem>
+          <para>
+            is the Brotli common dictionary library.
+          </para>
+          <indexterm zone="brotli libbrotlicommon">
+            <primary sortas="c-libbrotlicommon">libbrotlicommon{,-static.a,.so}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libbrotlidec">
+        <term><filename class="libraryfile">libbrotlidec{-static.a,.so}</filename></term>
+        <listitem>
+          <para>
+            is the Brotli decoder library.
+          </para>
+          <indexterm zone="brotli libbrotlidec">
+            <primary sortas="c-libbrotlidec">libbrotlidec{,-static.a,.so}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libbrotlienc">
+        <term><filename class="libraryfile">libbrotlienc{-static.a,.so}</filename></term>
+        <listitem>
+          <para>
+            is the Brotli common encoder library.
+          </para>
+          <indexterm zone="brotli libbrotlienc">
+            <primary sortas="c-libbrotlienc">libbrotlienc{,-static.a,.so}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+
+  </sect2>
+</sect1>
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision 2b5f3d76c67b2fcfbbc782980ba5aa61b00d6903)
+++ general/genlib/genlib.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -51,4 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="aspell.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="boost.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="brotli.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="clucene.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dbus-glib.xml"/>
Index: general/graphlib/graphlib.xml
===================================================================
--- general/graphlib/graphlib.xml	(revision 2b5f3d76c67b2fcfbbc782980ba5aa61b00d6903)
+++ general/graphlib/graphlib.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -56,4 +56,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="qpdf.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sassc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="woff2.xml"/>
 
 </chapter>
Index: general/graphlib/woff2.xml
===================================================================
--- general/graphlib/woff2.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
+++ general/graphlib/woff2.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -0,0 +1,191 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY woff2-download-http "https://github.com/google/woff2/archive/v&woff2-version;.tar.gz">
+  <!ENTITY woff2-download-ftp  " ">
+  <!ENTITY woff2-md5sum        "793c8844845351cb80730a74937e411b">
+  <!ENTITY woff2-size          "39 KB">
+  <!ENTITY woff2-buildsize     "1.6 MB">
+  <!ENTITY woff2-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="woff2" xreflabel="WOFF2-&woff2-version;">
+  <?dbhtml filename="woff2.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>WOFF2-&woff2-version;</title>
+
+  <indexterm zone="woff2">
+    <primary sortas="a-woff2">woff2</primary>
+  </indexterm>
+
+  <!--Required section-->
+  <sect2 role="package">
+    <title>Introduction to WOFF2</title>
+
+    <para>
+      <application>WOFF2</application> is a library for converting fonts from
+      the TTF format to the WOFF 2.0 format. It also allows decompression from
+      WOFF 2.0 to TTF. The WOFF 2.0 format uses the Brotli compression algorithm
+      to compress fonts suitable for downloading in CSS @font-face rules.
+    </para>
+
+    &lfs90_built;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&woff2-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&woff2-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &woff2-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &woff2-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &woff2-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &woff2-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <note>
+      <para>
+        The <application>WOFF2</application> source tarball shown above
+        downloads with the correct name, woff2-&woff2-version;.tar.gz,
+        if using a browser such as Firefox. If you prefer to use a command line
+        program such as wget, you normally would obtain
+        v&woff2-version;.tar.gz. To obtain this package with the proper
+        filename, run:
+
+<screen><userinput>wget -c https://github.com/google/woff2/v&brotli-version;.tar.gz \
+     -O woff2-&woff2-version;.tar.gz</userinput></screen>.
+      </para>
+    </note>
+
+    <bridgehead renderas="sect3">WOFF2 Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="brotli"/>,
+      <xref linkend="cmake"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/woff2"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of WOFF2</title>
+
+    <para>
+      Install <application>WOFF2</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir out                           &amp;
+cd out                              &amp;
+cmake -DCMAKE_INSTALL_PREFIX=/usr \
+      -DCMAKE_BUILD_TYPE=Release .. &amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>
+        </seg>
+        <seg>
+          libwoff2common.so, libwoff2dec.so and libwoff2enc.so.
+        </seg>
+        <seg>
+          /usr/include/woff2.
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libwoff2common">
+        <term><filename class="libraryfile">libwoff2common.so</filename></term>
+        <listitem>
+          <para>
+            provides shared data used by the libwoff2dec and libwoff2enc libraries.
+          </para>
+          <indexterm zone="woff2 libwoff2common">
+            <primary sortas="c-libwoff2common">libwoff2common.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libwoff2dec">
+        <term><filename class="libraryfile">libwoff2dec.so</filename></term>
+        <listitem>
+          <para>
+            is the WOFF2 decoder library.
+          </para>
+          <indexterm zone="woff2 libwoff2dec">
+            <primary sortas="c-libwoff2dec">libwoff2dec.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libwoff2enc">
+        <term><filename class="libraryfile">libwoff2enc.so</filename></term>
+        <listitem>
+          <para>
+            is the WOFF2 encoder library.
+          </para>
+          <indexterm zone="woff2 libwoff2enc">
+            <primary sortas="c-libwoff2common">libwoff2enc.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+  </sect2>
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2b5f3d76c67b2fcfbbc782980ba5aa61b00d6903)
+++ introduction/welcome/changelog.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -42,7 +42,12 @@
     </listitem>
        -->
+
     <listitem>
       <para>November 1st, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[ken] - Add dvisvgm-2.8 with brotli-1.0.7 and woff2-1.0.2. Fixes
+          <ulink url="&blfs-ticket-root;12105">#12105</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to libreoffice-6.3.3.2. Fixes
Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision 2b5f3d76c67b2fcfbbc782980ba5aa61b00d6903)
+++ networking/netlibs/curl.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -94,4 +94,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="brotli"/>,
       <xref linkend="c-ares"/>,
       <xref linkend="gnutls"/>,
@@ -103,5 +104,4 @@
       <xref linkend="openldap"/>,
       <xref linkend="samba"/>,
-      <ulink url="https://github.com/google/brotli/">Brotli</ulink>,
       <ulink url="https://launchpad.net/libmetalink/">libmetalink</ulink>,
       <ulink url="http://rtmpdump.mplayerhq.hu/">librtmp</ulink>, and
Index: networking/netlibs/libsoup.xml
===================================================================
--- networking/netlibs/libsoup.xml	(revision 2b5f3d76c67b2fcfbbc782980ba5aa61b00d6903)
+++ networking/netlibs/libsoup.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -94,4 +94,5 @@
     <para role="optional">
       <xref linkend="apache"/> (required to run the test suite),
+      <xref linkend="brotli"/>,
       <xref linkend="curl"/> (required to run the test suite),
       <xref linkend="mitkrb"/> (required to run the test suite),
Index: packages.ent
===================================================================
--- packages.ent	(revision 2b5f3d76c67b2fcfbbc782980ba5aa61b00d6903)
+++ packages.ent	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -90,4 +90,5 @@
 <!ENTITY boost-dl-version             "&boost-major;_&boost-minor;_&boost-patch;">
 
+<!ENTITY brotli-version               "1.0.7">
 <!ENTITY clucene-version              "2.3.3.4">
 <!ENTITY dbus-glib-version            "0.110">
@@ -227,4 +228,5 @@
 <!ENTITY libsass-version              "3.6.1">
 <!ENTITY sassc-version                "3.6.1">
+<!ENTITY woff2-version                "1.0.2">
 
 <!-- Chapter 11 -->
@@ -1044,4 +1046,5 @@
 <!ENTITY biber-version                "2.13">
 <!ENTITY biblatex-version             "3.13a">
+<!ENTITY dvisvgm-version              "2.8">
 <!ENTITY xindy-version                "2.5.1">
 
Index: pst/printing/gs.xml
===================================================================
--- pst/printing/gs.xml	(revision 2b5f3d76c67b2fcfbbc782980ba5aa61b00d6903)
+++ pst/printing/gs.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -177,5 +177,6 @@
         The shared library depends on <xref linkend="gtk3"/>. It is only used by
         external programs like <xref linkend="asymptote"/>, <xref
-        linkend="imagemagick"/>, and <xref linkend="texlive"/>.
+        linkend="dvisvgm"/>, <xref linkend="imagemagick"/>, and <xref
+        linkend="texlive"/>.
       </para>
     </note>
Index: pst/typesetting/asymptote.xml
===================================================================
--- pst/typesetting/asymptote.xml	(revision 2b5f3d76c67b2fcfbbc782980ba5aa61b00d6903)
+++ pst/typesetting/asymptote.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -33,5 +33,7 @@
       <application>Asymptote</application> is a powerful descriptive vector
       graphics language that provides a natural coordinate-based framework for
-      technical drawing. Labels and equations can be typeset with LaTeX.
+      technical drawing. Labels and equations can be typeset with LaTeX.  As
+      well as EPS, PDF and PNG output it can produce WebGL 3D HTML rendering
+      and (using <application>dvisvgm</application>) SVG output.
     </para>
 
@@ -87,10 +89,14 @@
     </para>
 
+    <bridgehead renderas="sect4">Recommended at runtime</bridgehead>
+    <para role="recommended">
+      <xref role="runtime" linkend="dvisvgm"/>
+    </para>
+
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
       <xref linkend="fftw"/>,
-      <xref linkend="gsl"/>, 
-      <xref linkend="libsigsegv"/>, and
-      <ulink url="https://dvisvgm.de/">dvisvgm</ulink>
+      <xref linkend="gsl"/>,
+      <xref linkend="libsigsegv"/>
 
     </para>
Index: pst/typesetting/dvisvgm.xml
===================================================================
--- pst/typesetting/dvisvgm.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
+++ pst/typesetting/dvisvgm.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -0,0 +1,214 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY dvisvgm-download-http "https://github.com/mgieseki/dvisvgm/releases/download/&dvisvgm-version;/dvisvgm-&dvisvgm-version;.tar.gz">
+  <!ENTITY dvisvgm-download-ftp  " ">
+  <!ENTITY dvisvgm-md5sum        "2e7033518e8272799a996e6dc91a8745">
+  <!ENTITY dvisvgm-size          "3.0 MB">
+  <!ENTITY dvisvgm-buildsize     "319 MB (add 975 MB for the tests)">
+  <!ENTITY dvisvgm-time          "0.9 SBU (add 0.7 SBU for the tests, both using parallelism=4)">
+]>
+
+<sect1 id="dvisvgm" xreflabel="dvisvgm-&dvisvgm-version;">
+  <?dbhtml filename="dvisvgm.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>dvisvgm-&dvisvgm-version;</title>
+
+  <indexterm zone="dvisvgm">
+    <primary sortas="a-dvisvgm">dvisvgm</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to dvisvgm</title>
+
+    <para>
+      The <application>dvisvgm</application> package converts DVI, EPS and
+      PDF files to SVG format.
+    </para>
+
+    &lfs90_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&dvisvgm-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&dvisvgm-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &dvisvgm-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &dvisvgm-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &dvisvgm-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &dvisvgm-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">dvisvgm Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <!-- EDITORS: the docs say it needs clipper, but it uses an internal
+       modified version and cannot be built with system clipper -->
+      <xref linkend="gs"/>,
+      <xref linkend="potrace"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="asciidoc"/> with
+      <xref linkend="xmlto"/> and
+      <xref linkend="libxslt"/> (see command explanations),
+      <ulink url="http://dblatex.sourceforge.net/">dblatex</ulink> (with the above) and
+      <!-- version checked for dvisvgm-2.8, 0.7.2 is mentioned in the
+           news and is the latest version as of 2019-10-31
+           maybe change to 'a recent version' if that releases faster -->
+      <ulink url="http://cyan4973.github.io/xxHash/releases/">xxHash</ulink>
+      (the current version is included in the tarball)
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/dvisvgm"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of dvisvgm</title>
+
+    <para>
+      To enable the build system to link to
+      <filename class="libraryfile">libkpathsea.so</filename>, as the
+      <systemitem class="username">root</systemitem> user create a symlink from
+      <filename class="directory">/usr/lib</filename>:
+    </para>
+
+<screen role="root"><userinput>ln -svf /opt/texlive/&texlive-year;/lib/libkpathsea.so /usr/lib</userinput></screen>
+
+    <para>
+      Now install <application>dvisvgm</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure                                    \
+ --bindir=/opt/texlive/&texlive-year;/bin/${TEXARCH}     \
+ --mandir=/opt/texlive/&texlive-year;/texmf-dist/doc/man \
+ --with-kpathsea=/opt/texlive/&texlive-year;            &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install                            &amp;&amp;
+install -v -m644 doc/dvisgm.1            \
+ /opt/texlive/&texlive-year;/texmf-dist/doc/man/man1</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <command>ln -svf /opt/texlive/&texlive-year;/lib/libkpathsea.so /usr/lib</command>:
+      Without this, the program will not link correctly,
+    </para>
+
+    <!-- EDITORS: the doc target to rebuild the manpage (make man) is not
+      recognised unless invoked from the doc directory (unlike make pdf which
+      can be invoked from top-level but needs dblatex), and I see no utility
+      in explaining how to regenerate it. ken -->
+    <para>
+      <command>--mandir=/opt/texlive/&texlive-year;/texmf-dist/doc/man</command>:
+      Unusually, the shipped man page will only be installed by <command>make
+      install</command> if all of <application>asciidoc</application>,
+      <application>xmlto</application> and <application>libxslt</application>
+      have been installed. This switch ensures it will overwrite the (old) page
+      installed by the texmf tarball if it installs.
+    </para>
+
+    <para>
+      <command>--with-kpathsea=/opt/texlive/&texlive-year;</command>: This allows
+      the build system to find the headers for <filename
+      class="libraryfile">kpathsea</filename>
+    </para>
+
+    <para>
+      <command>install -v -m644 doc/dvisgm.1 ...</command>: This ensures that
+      the man page is installed in the correct place even if the optional
+      dependencies are not present, and overwrites the version installed by
+      <command>make install</command> if they are present.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program(s)</segtitle>
+      <segtitle>Installed Librar(y,ies)</segtitle>
+      <segtitle>Installed Director(y,ies)</segtitle>
+
+      <seglistitem>
+        <seg>
+          dvisvgm
+        </seg>
+        <seg>
+          none
+        </seg>
+        <seg>
+          none
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="dvisvgm-prog">
+        <term><command>dvisvgm</command></term>
+        <listitem>
+          <para>
+            converts DVI, EPS and PDF files to the SVG format
+          </para>
+          <indexterm zone="dvisvgm dvisvgm-prog">
+            <primary sortas="b-dvisvgm">dvisvgm</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+  </sect2>
+</sect1>
Index: pst/typesetting/typesetting.xml
===================================================================
--- pst/typesetting/typesetting.xml	(revision 2b5f3d76c67b2fcfbbc782980ba5aa61b00d6903)
+++ pst/typesetting/typesetting.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -67,4 +67,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="asymptote.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="biber.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dvisvgm.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xindy.xml"/>
 
Index: server/major/apache.xml
===================================================================
--- server/major/apache.xml	(revision 2b5f3d76c67b2fcfbbc782980ba5aa61b00d6903)
+++ server/major/apache.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -98,4 +98,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="brotli"/>,
       <xref linkend="db"/>,
       <xref linkend="doxygen"/>,
Index: x/lib/webkitgtk.xml
===================================================================
--- x/lib/webkitgtk.xml	(revision 2b5f3d76c67b2fcfbbc782980ba5aa61b00d6903)
+++ x/lib/webkitgtk.xml	(revision 47d5a9e54500ab90d9617606e3eac6c753dab76d)
@@ -109,8 +109,8 @@
       <xref linkend="harfbuzz"/>,
       <xref linkend="llvm"/>,
-      <xref linkend="wayland"/>, 
+      <xref linkend="wayland"/>,
+      <xref linkend="woff2"/>,
       <ulink url="http://sourceforge.net/projects/hunspell/files/Hyphen/">Hyphen</ulink>,
       <ulink url="http://xsltml.sourceforge.net/">MathML</ulink>, 
-      <ulink url="https://github.com/google/woff2">woff2</ulink>,
       <ulink url="https://github.com/WebPlatformForEmbedded/libwpe">libwpe</ulink>,
       <ulink url="https://github.com/Igalia/WPEBackend-fdo">WPEBackend-fdo</ulink>, and
@@ -224,5 +224,5 @@
     <para>
       <option>-DUSE_WOFF2=ON</option>: Use this switch if the optional 
-      package <ulink url="https://github.com/google/woff2">woff2</ulink> is installed.
+      package <xref linkend="woff2"/> is installed.
     </para>
 