Index: general/genlib/aspell.xml
===================================================================
--- general/genlib/aspell.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/aspell.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/jansson.xml
===================================================================
--- general/genlib/jansson.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/jansson.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/json-c.xml
===================================================================
--- general/genlib/json-c.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/json-c.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/json-glib.xml
===================================================================
--- general/genlib/json-glib.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/json-glib.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libaio.xml
===================================================================
--- general/genlib/libaio.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libaio.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libassuan.xml
===================================================================
--- general/genlib/libassuan.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libassuan.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libatasmart.xml
===================================================================
--- general/genlib/libatasmart.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libatasmart.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libblockdev.xml
===================================================================
--- general/genlib/libblockdev.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libblockdev.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libbytesize.xml
===================================================================
--- general/genlib/libbytesize.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libbytesize.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libdaemon.xml
===================================================================
--- general/genlib/libdaemon.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libdaemon.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libgcrypt.xml
===================================================================
--- general/genlib/libgcrypt.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libgcrypt.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libgpg-error.xml
===================================================================
--- general/genlib/libgpg-error.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libgpg-error.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libksba.xml
===================================================================
--- general/genlib/libksba.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libksba.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -38,5 +38,5 @@
     integration with <application>Libgcrypt</application>.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libmbim.xml
===================================================================
--- general/genlib/libmbim.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libmbim.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libqmi.xml
===================================================================
--- general/genlib/libqmi.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libqmi.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libsigsegv.xml
===================================================================
--- general/genlib/libsigsegv.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/libsigsegv.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/npth.xml
===================================================================
--- general/genlib/npth.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genlib/npth.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -38,5 +38,5 @@
     program-counter, run-time stack, signal mask and errno variable. </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/asciidoc.xml
===================================================================
--- general/genutils/asciidoc.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/genutils/asciidoc.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     translated to many formats including HTML, PDF, EPUB, and man page.  </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/newt.xml
===================================================================
--- general/graphlib/newt.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/graphlib/newt.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/opencv.xml
===================================================================
--- general/graphlib/opencv.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/graphlib/opencv.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/clisp.xml
===================================================================
--- general/prog/clisp.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/prog/clisp.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/dbus-python.xml
===================================================================
--- general/prog/dbus-python.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/prog/dbus-python.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -30,5 +30,5 @@
       </para>
 
-      &lfs84_checked;
+      &lfs90_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/pygobject3.xml
===================================================================
--- general/prog/pygobject3.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/prog/pygobject3.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -33,5 +33,5 @@
       </para>
 
-      &lfs84_checked;
+      &lfs90_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/six.xml
===================================================================
--- general/prog/six.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/prog/six.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -29,5 +29,5 @@
       </para>
 
-      &lfs84_checked;
+      &lfs90_checked;
       <!-- Does not use gcc -->
 
Index: general/prog/slang.xml
===================================================================
--- general/prog/slang.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/prog/slang.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     such as display/screen management, keyboard input and keymaps.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/tk.xml
===================================================================
--- general/prog/tk.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/prog/tk.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/modemmanager.xml
===================================================================
--- general/sysutils/modemmanager.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/sysutils/modemmanager.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ general/sysutils/udisks2.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/faac.xml
===================================================================
--- multimedia/libdriv/faac.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/faac.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     understand other sound compression schemes in video files.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/faad2.xml
===================================================================
--- multimedia/libdriv/faad2.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/faad2.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -34,5 +34,5 @@
     and known as Advanced Audio Coding (AAC).</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/fdk-aac.xml
===================================================================
--- multimedia/libdriv/fdk-aac.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/fdk-aac.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/frei0r.xml
===================================================================
--- multimedia/libdriv/frei0r.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/frei0r.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -34,5 +34,5 @@
     o.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/gst10-libav.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/liba52.xml
===================================================================
--- multimedia/libdriv/liba52.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/liba52.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     in a variety of applications, including digital television and DVD.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libass.xml
===================================================================
--- multimedia/libdriv/libass.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/libass.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libcddb.xml
===================================================================
--- multimedia/libdriv/libcddb.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/libcddb.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -34,5 +34,5 @@
     server.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libcdio.xml
===================================================================
--- multimedia/libdriv/libcdio.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/libcdio.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -38,5 +38,5 @@
     bit linear PCM.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdv.xml
===================================================================
--- multimedia/libdriv/libdv.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/libdv.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     firewire (IEEE 1394) connection.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdcss.xml
===================================================================
--- multimedia/libdriv/libdvdcss.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/libdvdcss.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdnav.xml
===================================================================
--- multimedia/libdriv/libdvdnav.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/libdvdnav.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -34,5 +34,5 @@
     playback and even interactive DVD games.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdread.xml
===================================================================
--- multimedia/libdriv/libdvdread.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/libdvdread.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -33,5 +33,5 @@
     provides a simple foundation for reading DVDs.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmpeg2.xml
===================================================================
--- multimedia/libdriv/libmpeg2.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/libmpeg2.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -37,5 +37,5 @@
     MPEG-1 video streams.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/opus.xml
===================================================================
--- multimedia/libdriv/opus.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/opus.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/soundtouch.xml
===================================================================
--- multimedia/libdriv/soundtouch.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/soundtouch.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/v4l-utils.xml
===================================================================
--- multimedia/libdriv/v4l-utils.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/v4l-utils.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/x264.xml
===================================================================
--- multimedia/libdriv/x264.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/x264.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/x265.xml
===================================================================
--- multimedia/libdriv/x265.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/x265.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/xine-lib.xml
===================================================================
--- multimedia/libdriv/xine-lib.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/xine-lib.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/xvid.xml
===================================================================
--- multimedia/libdriv/xvid.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/libdriv/xvid.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -33,5 +33,5 @@
     compliant video CODEC.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/videoutils/ffmpeg.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ multimedia/videoutils/vlc.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/connect/dhcp.xml
===================================================================
--- networking/connect/dhcp.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ networking/connect/dhcp.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libndp.xml
===================================================================
--- networking/netlibs/libndp.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ networking/netlibs/libndp.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/neon.xml
===================================================================
--- networking/netlibs/neon.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ networking/netlibs/neon.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/avahi.xml
===================================================================
--- networking/netutils/avahi.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ networking/netutils/avahi.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/networkmanager.xml
===================================================================
--- networking/netutils/networkmanager.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ networking/netutils/networkmanager.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <note revision="systemd">
Index: postlfs/filesystems/btrfs-progs.xml
===================================================================
--- postlfs/filesystems/btrfs-progs.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/filesystems/btrfs-progs.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -33,5 +33,5 @@
     and debugging tools for the B-tree file system (btrfs).</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/dosfstools.xml
===================================================================
--- postlfs/filesystems/dosfstools.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/filesystems/dosfstools.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -33,5 +33,5 @@
     utilities for use with the FAT family of file systems.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/lvm2.xml
===================================================================
--- postlfs/filesystems/lvm2.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/filesystems/lvm2.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/mdadm.xml
===================================================================
--- postlfs/filesystems/mdadm.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/filesystems/mdadm.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -33,5 +33,5 @@
     tools for software RAID.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/parted.xml
===================================================================
--- postlfs/filesystems/parted.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/filesystems/parted.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/reiser.xml
===================================================================
--- postlfs/filesystems/reiser.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/filesystems/reiser.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -33,5 +33,5 @@
     utilities for use with the Reiser file system.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/xfsprogs.xml
===================================================================
--- postlfs/filesystems/xfsprogs.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/filesystems/xfsprogs.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -33,5 +33,5 @@
     administration and debugging tools for the XFS file system.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/cryptsetup.xml
===================================================================
--- postlfs/security/cryptsetup.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/security/cryptsetup.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/security/gnupg2.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -38,5 +38,5 @@
     S/MIME.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/gpgme.xml
===================================================================
--- postlfs/security/gpgme.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/security/gpgme.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/iptables.xml
===================================================================
--- postlfs/security/iptables.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/security/iptables.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/libpwquality.xml
===================================================================
--- postlfs/security/libpwquality.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/security/libpwquality.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/volume_key.xml
===================================================================
--- postlfs/security/volume_key.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ postlfs/security/volume_key.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: server/databases/lmdb.xml
===================================================================
--- server/databases/lmdb.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ server/databases/lmdb.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/clutter.xml
===================================================================
--- x/lib/clutter.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ x/lib/clutter.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <note>
Index: x/lib/cogl.xml
===================================================================
--- x/lib/cogl.xml	(revision ad112fd5987c34dabf966f28bf20ccae33ca3355)
+++ x/lib/cogl.xml	(revision 48bcac91a6d740f66a0ce522aa365777317521af)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>