Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ introduction/welcome/changelog.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to kf5-apps-17.04.1. Fixes
+          <ulink url="&blfs-ticket-root;8985">#8985</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Add a workaround to lxqt-config needed
           due to changes in cmake-3.8.</para>
Index: kde/kf5-apps/ark5.xml
===================================================================
--- kde/kf5-apps/ark5.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ kde/kf5-apps/ark5.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -7,8 +7,8 @@
   <!ENTITY ark5-download-http "&kf5apps-download-http;/ark-&kf5apps-version;.tar.xz">
   <!ENTITY ark5-download-ftp  " ">
-  <!ENTITY ark5-md5sum        "79781fd04e82ed0661c99b1a608c99d4">
-  <!ENTITY ark5-size          "1.3 MB">
-  <!ENTITY ark5-buildsize     "14 MB">
-  <!ENTITY ark5-time          "1.0 SBU">
+  <!ENTITY ark5-md5sum        "68b5b557a813500e39f4af8f87f7a2b8">
+  <!ENTITY ark5-size          "1.8 MB">
+  <!ENTITY ark5-buildsize     "24 MB">
+  <!ENTITY ark5-time          "0.9 SBU">
 ]>
 
@@ -36,4 +36,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/gwenview.xml
===================================================================
--- kde/kf5-apps/gwenview.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ kde/kf5-apps/gwenview.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -7,8 +7,8 @@
   <!ENTITY gwenview5-download-http "&kf5apps-download-http;/gwenview-&kf5apps-version;.tar.xz">
   <!ENTITY gwenview5-download-ftp  " ">
-  <!ENTITY gwenview5-md5sum        "93677b5c62e8657911489a49040ef4c2">
-  <!ENTITY gwenview5-size          "2.7 MB">
-  <!ENTITY gwenview5-buildsize     "19 MB">
-  <!ENTITY gwenview5-time          "1.7 SBU">
+  <!ENTITY gwenview5-md5sum        "dd6201168825824947c8ed551c1049d4">
+  <!ENTITY gwenview5-size          "5.6 MB">
+  <!ENTITY gwenview5-buildsize     "32 MB">
+  <!ENTITY gwenview5-time          "1.4 SBU">
 ]>
 
@@ -36,4 +36,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/k3b.xml
===================================================================
--- kde/kf5-apps/k3b.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ kde/kf5-apps/k3b.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY k3b-download-http "&sources-anduin-http;/k3b/k3b-&k3b-version;.tar.xz">
+  <!ENTITY k3b-download-http "&kf5apps-download-http;/k3b-&kf5apps-version;.tar.xz">
   <!ENTITY k3b-download-ftp  " ">
-  <!ENTITY k3b-md5sum        "644b539c1bd8dd4c7871ab0c555cc69d">
-  <!ENTITY k3b-size          "36 MB">
-  <!ENTITY k3b-buildsize     "86 MB">
-  <!ENTITY k3b-time          "4.1 SBU">
+  <!ENTITY k3b-md5sum        "1fbcc432f87da8d16fe276d352e60d26">
+  <!ENTITY k3b-size          "10 MB">
+  <!ENTITY k3b-buildsize     "96 MB">
+  <!ENTITY k3b-time          "3.3 SBU">
 ]>
 
@@ -55,4 +55,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/kdenlive5.xml
===================================================================
--- kde/kf5-apps/kdenlive5.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ kde/kf5-apps/kdenlive5.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -7,8 +7,8 @@
   <!ENTITY kdenlive5-download-http "&kf5apps-download-http;/kdenlive-&kf5apps-version;.tar.xz">
   <!ENTITY kdenlive5-download-ftp  " ">
-  <!ENTITY kdenlive5-md5sum        "b6089df48369611d5dfa75dc8cef6445">
-  <!ENTITY kdenlive5-size          "6.3 MB">
-  <!ENTITY kdenlive5-buildsize     "92 MB">
-  <!ENTITY kdenlive5-time          "3.9 SBU">
+  <!ENTITY kdenlive5-md5sum        "921e5ebb0cda53c578160eedc9358835">
+  <!ENTITY kdenlive5-size          "8.9 MB">
+  <!ENTITY kdenlive5-buildsize     "120 MB">
+  <!ENTITY kdenlive5-time          "3.0 SBU">
 ]>
 
@@ -36,4 +36,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -87,4 +88,13 @@
   <sect2 role="installation">
     <title>Installation of Kdenlive</title>
+
+    <para>First, fix some issues identified by gcc7:</para>
+
+<screen><userinput>sed -e '/KLocal/a #include &lt;functional&gt;' \
+    -i src/profiles/tree/profiletreemodel.cpp  &amp;&amp;
+
+sed -e '/abs/s/leftDist/(int)&amp;/' \
+    -i src/scopes/audioscopes/spectrogram.cpp
+</userinput></screen>
 
     <para>
Index: kde/kf5-apps/khelpcenter.xml
===================================================================
--- kde/kf5-apps/khelpcenter.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ kde/kf5-apps/khelpcenter.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -7,8 +7,8 @@
   <!ENTITY khelpcenter-download-http "&kf5apps-download-http;/khelpcenter-&kf5apps-version;.tar.xz">
   <!ENTITY khelpcenter-download-ftp  " ">
-  <!ENTITY khelpcenter-md5sum        "15cd0cdb9138ef2bf312a1567e602b53">
-  <!ENTITY khelpcenter-size          "1.4 MB">
-  <!ENTITY khelpcenter-buildsize     "6.5 MB">
-  <!ENTITY khelpcenter-time          "0.4 SBU">
+  <!ENTITY khelpcenter-md5sum        "e6b8471c16e49ba3d3f5e1db35e2e108">
+  <!ENTITY khelpcenter-size          "2.9 MB">
+  <!ENTITY khelpcenter-buildsize     "15 MB">
+  <!ENTITY khelpcenter-time          "0.5 SBU">
 ]>
 
@@ -36,4 +36,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/kmix5.xml
===================================================================
--- kde/kf5-apps/kmix5.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ kde/kf5-apps/kmix5.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -7,8 +7,8 @@
   <!ENTITY kmix5-download-http "&kf5apps-download-http;/kmix-&kf5apps-version;.tar.xz">
   <!ENTITY kmix5-download-ftp  " ">
-  <!ENTITY kmix5-md5sum        "c597377c51aa57cc8fb9cd0a5d695557">
+  <!ENTITY kmix5-md5sum        "4b9d27deaeb000fe5b91ece7990d6e9a">
   <!ENTITY kmix5-size          "380 KB">
   <!ENTITY kmix5-buildsize     "12 MB">
-  <!ENTITY kmix5-time          "1.4 SBU">
+  <!ENTITY kmix5-time          "1.0 SBU">
 ]>
 
@@ -36,4 +36,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/konsole5.xml
===================================================================
--- kde/kf5-apps/konsole5.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ kde/kf5-apps/konsole5.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -7,8 +7,8 @@
   <!ENTITY konsole5-download-http "&kf5apps-download-http;/konsole-&kf5apps-version;.tar.xz">
   <!ENTITY konsole5-download-ftp  " ">
-  <!ENTITY konsole5-md5sum        "965f95b007bb706a723717b3b6f532fc">
-  <!ENTITY konsole5-size          "456 KB">
-  <!ENTITY konsole5-buildsize     "12 MB">
-  <!ENTITY konsole5-time          "0.8 SBU">
+  <!ENTITY konsole5-md5sum        "f2e1f1cd408f8017f2a5e24fa4af1c7a">
+  <!ENTITY konsole5-size          "988 KB">
+  <!ENTITY konsole5-buildsize     "22 MB">
+  <!ENTITY konsole5-time          "0.7 SBU">
 ]>
 
@@ -36,4 +36,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/libkcddb.xml
===================================================================
--- kde/kf5-apps/libkcddb.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ kde/kf5-apps/libkcddb.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -7,8 +7,8 @@
   <!ENTITY libkcddb-download-http "&kf5apps-download-http;/libkcddb-&kf5apps-version;.tar.xz">
   <!ENTITY libkcddb-download-ftp  " ">
-  <!ENTITY libkcddb-md5sum        "917abcb195e11bec9a3e5e8795804402">
-  <!ENTITY libkcddb-size          "156 KB">
-  <!ENTITY libkcddb-buildsize     "3.9 MB">
-  <!ENTITY libkcddb-time          "0.4 SBU">
+  <!ENTITY libkcddb-md5sum        "f84cd739fba4fc673bb3bb8032cd031f">
+  <!ENTITY libkcddb-size          "416 KB">
+  <!ENTITY libkcddb-buildsize     "8.3 MB">
+  <!ENTITY libkcddb-time          "0.3 SBU">
 ]>
 
@@ -36,4 +36,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/libkdcraw.xml
===================================================================
--- kde/kf5-apps/libkdcraw.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ kde/kf5-apps/libkdcraw.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -7,7 +7,7 @@
   <!ENTITY libkdcraw-download-http "&kf5apps-download-http;/libkdcraw-&kf5apps-version;.tar.xz">
   <!ENTITY libkdcraw-download-ftp  " ">
-  <!ENTITY libkdcraw-md5sum        "a03d56f9f1be9f0db04b74427af14c6a">
+  <!ENTITY libkdcraw-md5sum        "184bcc51e662f036d40ebf0e4798e816">
   <!ENTITY libkdcraw-size          "44 KB">
-  <!ENTITY libkdcraw-buildsize     "1.1 MB">
+  <!ENTITY libkdcraw-buildsize     "1.2 MB">
   <!ENTITY libkdcraw-time          "less than 0.1 SBU">
 ]>
@@ -36,4 +36,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/libkexiv2.xml
===================================================================
--- kde/kf5-apps/libkexiv2.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ kde/kf5-apps/libkexiv2.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -7,5 +7,5 @@
   <!ENTITY libkexiv2-download-http "&kf5apps-download-http;/libkexiv2-&kf5apps-version;.tar.xz">
   <!ENTITY libkexiv2-download-ftp  " ">
-  <!ENTITY libkexiv2-md5sum        "e9d1848f59af117172d3e520452f6079">
+  <!ENTITY libkexiv2-md5sum        "7bee612837175bebcdc9535d399ba92f">
   <!ENTITY libkexiv2-size          "64 KB">
   <!ENTITY libkexiv2-buildsize     "3.1 MB">
@@ -36,4 +36,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/okular5.xml
===================================================================
--- kde/kf5-apps/okular5.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ kde/kf5-apps/okular5.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -7,8 +7,8 @@
   <!ENTITY okular5-download-http "&kf5apps-download-http;/okular-&kf5apps-version;.tar.xz">
   <!ENTITY okular5-download-ftp  " ">
-  <!ENTITY okular5-md5sum        "64df40864ed7a447b19966c1c376d78c">
-  <!ENTITY okular5-size          "1.8 MB">
-  <!ENTITY okular5-buildsize     "32 MB">
-  <!ENTITY okular5-time          "0.5 SBU">
+  <!ENTITY okular5-md5sum        "a2ddaf6d3a75bfb8dde3acc1ac7b2c2f">
+  <!ENTITY okular5-size          "5.3 MB">
+  <!ENTITY okular5-buildsize     "56 MB">
+  <!ENTITY okular5-time          "2.1 SBU">
 ]>
 
@@ -36,4 +36,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/kwave.xml
===================================================================
--- multimedia/audioutils/kwave.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ multimedia/audioutils/kwave.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -7,8 +7,8 @@
   <!ENTITY kwave-download-http "&kf5apps-download-http;/kwave-&kf5apps-version;.tar.xz">
   <!ENTITY kwave-download-ftp  " ">
-  <!ENTITY kwave-md5sum        "e3d22bb1669e5b915d76d1e649f9ce4b">
-  <!ENTITY kwave-size          "1.5 MB">
-  <!ENTITY kwave-buildsize     "37 MB">
-  <!ENTITY kwave-time          "2.8 SBU">
+  <!ENTITY kwave-md5sum        "900f2b4d098f73a5bf6c7a1d3c02e57d">
+  <!ENTITY kwave-size          "4.4 MB">
+  <!ENTITY kwave-buildsize     "64 MB">
+  <!ENTITY kwave-time          "2.4 SBU">
 ]>
 
@@ -36,4 +36,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -75,5 +76,6 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="fftw"/> and
+      <xref linkend="audiofile"/>,
+      <xref linkend="fftw"/>, and
       <xref linkend="kf5-frameworks"/>
     </para>
Index: packages.ent
===================================================================
--- packages.ent	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ packages.ent	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -592,5 +592,5 @@
 <!ENTITY kf5-download-http     "http://download.kde.org/stable/frameworks/&kf5-base;">
 
-<!ENTITY kf5apps-version       "16.12.2">
+<!ENTITY kf5apps-version       "17.04.1">
 <!ENTITY kf5apps-download-http "http://download.kde.org/stable/applications/&kf5apps-version;/src">
 <!ENTITY kf5apps-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/&kf5apps-version;/src">
Index: postlfs/editors/kate5.xml
===================================================================
--- postlfs/editors/kate5.xml	(revision de8def5cc42a56b616ba8e2d6cd10f82e4471335)
+++ postlfs/editors/kate5.xml	(revision 50a0dd04e4ea0fd155fb159ce5346084a205d85d)
@@ -6,8 +6,8 @@
   <!ENTITY kate5-download-http "&kf5apps-download-http;/kate-&kf5apps-version;.tar.xz">
   <!ENTITY kate5-download-ftp  " ">
-  <!ENTITY kate5-md5sum        "3c3c582cb26b355192165ed1ec1b3d7b">
-  <!ENTITY kate5-size          "1.8 MB">
-  <!ENTITY kate5-buildsize     "37 MB">
-  <!ENTITY kate5-time          "2.4 SBU">
+  <!ENTITY kate5-md5sum        "b2205046a00b849617a416da677fa972">
+  <!ENTITY kate5-size          "5.0 MB">
+  <!ENTITY kate5-buildsize     "67 MB">
+  <!ENTITY kate5-time          "2.1 SBU">
 ]>
 
@@ -35,4 +35,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>