Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision 1ce6ec91c0c1471becbec7fc8f05070e7b457d8c)
+++ xsoft/office/libreoffice.xml	(revision 51d044fd30d588ddbc6bcc3a06d9c8e7f4909992)
@@ -8,37 +8,21 @@
 
   <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-core-md5sum        "86b47f5b6e4b816f54fa12eaf75dbd79">
-  <!ENTITY libreoffice-core-size          "146 MB">
+  <!ENTITY libreoffice-core-md5sum        "e8e79a7706fd22416d5f3b58195b0ee7">
+  <!ENTITY libreoffice-core-size          "159 MB">
 
   <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-dict-md5sum        "e5a28bbd127951abafc0d43bcc2127a9">
+  <!ENTITY libreoffice-dict-md5sum        "bdf1f534ae937786dda2cf186f83d1a3">
   <!ENTITY libreoffice-dict-size          "36 MB">
 
   <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-help-md5sum        "ae73ebf344f02c4d24b0c698e52fa587">
+  <!ENTITY libreoffice-help-md5sum        "029d47223caa6dc8c66817ed76f4c3a2">
   <!ENTITY libreoffice-help-size          "1.8 MB">
 
   <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-translations-md5sum        "ffc4271845377c407db316f6adce084f">
-  <!ENTITY libreoffice-translations-size          "122 MB">
-
-  <!-- This package has some peculiarities, some discussed in the text.
-  Two values for SBU and buildsize are given due to the large difference
-  measured by editors, depending on architecture and sometimes installed
-  dependencies (with-system... -->
-
-  <!ENTITY libreoffice-buildsize          "6.1 GB (538 MB installed), with translations">
-  <!ENTITY libreoffice-time               "191.7 SBU (using parallelism=2), with translations">
-
-  <!-- [bdubbs]  For version 4.3.2.2 Built on x86_64 using -\-with-parallelism=4 -->
-
-  <!-- [fo] For version 4.3.1.2 I've got, for i686, statistcs over the upper
-  boundaries for x86_64 of previous versions, thus, temporarily, decided to use
-  single statistcs, instead of a range.
-  -->
-  <!-- This package has some peculiarities, some discussed in the text.
-  Two values for SBU and buildsize are given due to the large difference
-  measured by editors, depending on architecture and sometimes installed
-  dependencies (with-system... -->
+  <!ENTITY libreoffice-translations-md5sum        "232bbb0e98de27f9fd3500e9d7558176">
+  <!ENTITY libreoffice-translations-size          "124 MB">
+
+  <!ENTITY libreoffice-buildsize          "9.8 GB (649 MB installed)">
+  <!ENTITY libreoffice-time               "62 (using parallelism=4) estimated 170 SBU with one core">
 ]>
 
@@ -47,6 +31,6 @@
 
   <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
+    <othername>$LastChangedBy: krejzi $</othername>
+    <date>$Date: 2014-10-30 22:25:41 +0100 (Thu, 30 Oct 2014) $</date>
   </sect1info>
 
@@ -66,5 +50,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -142,17 +126,4 @@
         <para>
           Translations size: &libreoffice-translations-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Required patch to fix building with system Boost:
-          <ulink url="&patch-root;/libreoffice-&libreoffice-dlversion;-boost_1_56_0-1.patch"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Required patch for i686 systems, in order to fix a problem inroduced
-          by <application>&gcc-490;</application>:
-          <ulink url="&patch-root;/libreoffice-&libreoffice-dlversion;-gcc_4_9_0-1.patch"/>
         </para>
       </listitem>
@@ -175,5 +146,8 @@
         Most of these packages are recommended because if they're not installed,
         the build process will compile and install its own (often older)
-        version.
+        version. If you have not installed some of the dependencies listed below,
+        make sure you examine the <command>./configure --help</command> output
+        for information on switches needed to prevent
+        <command>./configure</command> to look for them.
       </para>
     </note>
@@ -185,5 +159,4 @@
       <xref linkend="curl"/>,
       <xref linkend="dbus-glib"/>,
-      <xref linkend="libjpeg"/>,
       <xref linkend="glu"/>,
       <xref linkend="graphite2"/>,
@@ -194,4 +167,6 @@
       <xref linkend="icu"/>,
       <xref linkend="lcms2"/>,
+      <xref linkend="libatomic_ops"/>,
+      <xref linkend="libjpeg"/>,
       <xref linkend="librsvg"/>,
       <xref linkend="libxml2"/> and
@@ -202,5 +177,6 @@
       <xref linkend="nss"/>,
       <xref linkend="openldap"/>,
-      <xref linkend="openssl"/>,
+      <xref linkend="openssl"/> or 
+      <xref linkend="gnutls"/>,
       <xref linkend="poppler"/>,
       <xref linkend="python3"/>,
@@ -211,34 +187,47 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="apache-ant"/>,
       <xref linkend="avahi"/>,
       <xref linkend="bluez"/>,
       <xref linkend="doxygen"/> (not relevant if using --disable-odk),
+      <xref linkend="GConf"/>,
       <xref linkend="gdb"/>,
       <xref linkend="gtk3"/>,
       <xref linkend="kdelibs"/>,
-      <xref linkend="libatomic_ops"/>,
-      <xref linkend="mariadb"/> or <ulink url="http://www.mysql.com/">MySQL</ulink>,
+      <xref linkend="mariadb"/>,
       <xref linkend="mitkrb"/>,
+      <xref linkend="nasm"/>,
       <xref linkend="openjdk"/>,
       <xref linkend="postgresql"/>,
       <xref linkend="sane"/>,
+      <xref linkend="valgrind"/>,
       <xref linkend="vlc"/>,
+      <xref linkend="zenity"/>,
+      <ulink url="https://commons.apache.org/proper/commons-codec/">Apache Commons Codec</ulink>,
+      <ulink url="https://hc.apache.org/httpclient-3.x/">Apache Commons HttpClient</ulink>,
+      <ulink url="https://commons.apache.org/proper/commons-lang/">Apache Commons Lang</ulink>,
+      <ulink url="https://commons.apache.org/proper/commons-logging/">Apache Commons Logging</ulink>,
+      <ulink url="http://www.beanshell.org/">BeanShell</ulink>,
+      <ulink url="https://projects.coin-or.org/CoinMP/">CoinMP</ulink>,
       <ulink url="http://sourceforge.net/projects/cppunit/">Cppunit</ulink>,
-      <ulink url="http://www.firebirdsql.org/">firebird</ulink>,
-      <ulink url="http://downloads.sourceforge.net/glew/">glew (OpenGL Extension Wrangler Library)</ulink>,
+      <ulink url="http://www.firebirdsql.org/">Firebird</ulink>,
+      <ulink url="http://downloads.sourceforge.net/glew/">GLEW</ulink>,
+      <ulink url="https://code.google.com/p/hamcrest/">Hamcrest</ulink>,
       <ulink url="http://hunspell.sourceforge.net/">Hunspell</ulink>,
       <ulink url="http://sourceforge.net/projects/hunspell/files/Hyphen/">Hyphen</ulink>,
-      <ulink url="http://www.freedesktop.org/wiki/Software/libabw/">libabw</ulink>,
-      <ulink url="http://www.freedesktop.org/wiki/Software/libcdr/">libcdr</ulink>,
+      <ulink url="https://code.google.com/p/include-what-you-use/">IWYU</ulink>,
+      <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libabw">libabw</ulink>,
+      <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libcdr">libcdr</ulink>,
       <ulink url="http://sourceforge.net/projects/libcmis/">libcmis</ulink>,
       <ulink url="http://www.sourceforge.net/projects/libebook/">libebook</ulink>,
       <ulink url="http://www.freedesktop.org/wiki/Software/libexttextcat/">libexttextcat</ulink>,
-      <ulink url="http://www.freedesktop.org/wiki/Software/libfreehand/">libfreehand</ulink>,
+      <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libfreehand">libfreehand</ulink>,
       <ulink url="http://tagoh.bitbucket.org/liblangtag/">liblangtag</ulink>,
-      <ulink url="http://www.freedesktop.org/wiki/Software/libmspub/">libmspub</ulink>,
+      <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libmspub">libmspub</ulink>,
       <ulink url="http://sourceforge.net/projects/libmwaw/">libmwaw</ulink>,
       <ulink url="http://sourceforge.net/projects/libwpd/files/libodfgen/">libodfgen</ulink>,
-      <ulink url="http://sourceforge.net/projects/libwpd/files/librevenge/">librevenge (WordPerfect Document importer)</ulink>,
-      <ulink url="http://www.freedesktop.org/wiki/Software/libvisio/">libvisio</ulink>,
+      <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libpagemaker">libpagemaker</ulink>,
+      <ulink url="http://sourceforge.net/projects/libwpd/files/librevenge/">librevenge</ulink>,
+      <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libvisio">libvisio</ulink>,
       <ulink url="http://libwpd.sourceforge.net/">libwpd</ulink>,
       <ulink url="http://libwpg.sourceforge.net/">libwpg</ulink>,
@@ -247,12 +236,14 @@
       <ulink url="http://code.google.com/p/multidimalgorithm/">mdds</ulink>,
       <ulink url="http://sourceforge.net/projects/hunspell/files/MyThes/">MyThes</ulink>,
-      <ulink url="http://sourceforge.net/projects/ogl-math/">ogl-math - OpenGL Mathematics (GLM)</ulink>,
-      <ulink url="https://gitorious.org/orcus/">Orcus</ulink>,
-      <ulink url="http://hci.iwr.uni-heidelberg.de/vigra/">VIGRA</ulink>, and
-      <ulink url="&gnome-download-http;/zenity/">Zenity</ulink>
-    </para>
-
-    <para>There are many optional dependencies not listed here. They can be
-    found in <quote>download.lst</quote> (source directory).
+      <ulink url="http://sourceforge.net/projects/ogl-math/">OGL-Math</ulink>,
+      <ulink url="https://github.com/KhronosGroup/OpenCOLLADA/">OpenCOLLADA</ulink>,
+      <ulink url="https://gitorious.org/orcus">Orcus</ulink>,
+      <xref linkend="telepathy-glib"/>, and
+      <ulink url="http://hci.iwr.uni-heidelberg.de/vigra/">VIGRA</ulink>
+    </para>
+
+    <para>
+      There are many optional dependencies not listed here. They can be
+      found in <quote>download.lst</quote> in the source directory.
     </para>
 
@@ -264,80 +255,20 @@
   <sect2 role="installation">
     <title>Installation of LibreOffice</title>
-<!--
-    <warning>
-      <para>
-        Untaring the libreoffice-&libreoffice-dlversion; tarball as
-        <systemitem class="username">root</systemitem> has the curious effect of
-        changing the ownership of the <emphasis>parent</emphasis> directory
-        to a user with numerical id 11012 and with the permissions set to allow
-        read, write and execute for that user only! If you untared as
-        <systemitem class="username">root</systemitem> in your home folder you
-        could end up unable to log in again. If you untared it in
-        <filename class="directory">/usr</filename> you would find your user
-        account unable to access any file in
-        <filename class="directory">/usr</filename>.
-      </para>
-
-      <para>
-        You can avoid this unpleasantness by
-        <emphasis>not</emphasis> untaring it as
-        <systemitem class="username">root</systemitem>. If you must untar it as
-        <systemitem class="username">root</systemitem> pass the option
-        <option>-\-no-overwrite-dir</option> to tar. This is the default when you
-        untar as a user but has to be passed as an option when untaring as
-        <systemitem class="username">root</systemitem>:
-      </para>
-    </warning>-->
-
-    <note>
-      <para>
-       Building this package in a graphical environment is recommended.
-       There have been reports of build failures, when using
-       <command>chroot</command> or <command>ssh</command>.
-      </para>
-    </note>
-
-    <important>
-      <para>
-      Unlike the other packages, we suppose that you have not yet unpacked the
-      package. This is so because the <option>--no-overwrite-dir</option> switch
-      is needed in case you unpack as the
-      <systemitem class="username">root</systemitem> user.
-      </para>
-    </important>
-
-<screen><userinput>tar -xf libreoffice-&libreoffice-dlversion;.tar.xz --no-overwrite-dir &amp;&amp;
-cd libreoffice-&libreoffice-dlversion;</userinput></screen>
-
-    <para>
-      Unpack the dictionaries file and create symlinks to tarballs from the
-      source directory so they won't get downloaded again.  It is not necessary
-      to unpack the help nor the translations tarballs:
-    </para>
-
-<screen><userinput>install -dm755 external/tarballs &amp;&amp;
-<!-- Not necessary for this version
-tar -xf ../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz \
-        -\-no-overwrite-dir -\-strip-components=1    &amp;&amp;
-
-tar -xf ../libreoffice-help-&libreoffice-dlversion;.tar.xz -\-no-overwrite-dir -\-strip-components=1 &amp;&amp;
--->
-
-ln -sv ../../../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz external/tarballs/ &amp;&amp;
-ln -sv ../../../libreoffice-help-&libreoffice-dlversion;.tar.xz         external/tarballs/</userinput></screen>
-
-<!-- Not necessary for this version
-    <para>
-      If you have downloaded the translations tarball, unpack it:
-    </para>
-
-<screen><userinput>tar -xf ../libreoffice-translations-&libreoffice-dlversion;.tar.xz -\-no-overwrite-dir -\-strip-components=1 &amp;&amp;
-ln -sv ../../libreoffice-translations-&libreoffice-dlversion;.tar.xz src/</userinput></screen>
--->
+
+    <para>
+      Create symlinks to tarballs from the source directory so they won't
+      get downloaded again:
+    </para>
+
+<screen><userinput>install -v -dm755 external/tarballs &amp;&amp;
+
+ln -sfv ../../../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz external/tarballs/ &amp;&amp;
+ln -sfv ../../../libreoffice-help-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
+
     <para>
       If you have downloaded the translations tarball, create a symlink:
     </para>
 
-<screen><userinput>ln -sv ../../../libreoffice-translations-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
+<screen><userinput>ln -sfv ../../../libreoffice-translations-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
 
     <note>
@@ -345,31 +276,14 @@
         During the build process, some packages will be downloaded (including
         the ones listed as recommended and optional dependencies) if they are
-        not present on the system. Because of this, build time may vary from the
-        published time more than usual.
+        not present on the system. Doing so, build time may be different
+        for everyone.
       </para>
     </note>
 
     <para>
-      In the rest of the page, locales "en-US" and "pt-BR" are examples; you
-      can change them to suit your needs - you might want to read the
-      "Command Explanations", further below, before proceeding.
-    </para>
-
-    <para>
-      Due to the large size of the package, you may prefer to install it in
-      <filename class="directory">/opt</filename>, instead of
-      <filename class="directory">/usr</filename>. Depending on your choice,
-      replace <replaceable>&lt;PREFIX&gt;</replaceable> by
-      <filename class="directory">/usr</filename> or by
-      <filename class="directory">/opt/libreoffice-&libreoffice-dlversion;</filename>:
-    </para>
-
-<screen><userinput>export LO_PREFIX=<replaceable>&lt;PREFIX&gt;</replaceable></userinput></screen>
-
-    <para>
-     For i686 systems, fix a problem inroduced by <application>&gcc-490;</application>:
-    </para>
-
-<screen><userinput>patch -Np1 -i ../libreoffice-&libreoffice-dlversion;-gcc_4_9_0-1.patch &amp;&amp;</userinput></screen>
+      In the rest of the page, locales "fr" and "en-GB" are examples. Change
+      them to suit your needs. You might want to read the "Command Explanations"
+      further below before proceeding.
+    </para>
 
     <para>
@@ -378,25 +292,29 @@
     </para>
 
-<screen><userinput>patch -Np1 -i ../libreoffice-&libreoffice-dlversion;-boost_1_56_0-1.patch &amp;&amp;
-
-sed -e "/gzip -f/d"   \
+<screen><userinput>sed -e "/gzip -f/d"   \
     -e "s|.1.gz|.1|g" \
     -i bin/distro-install-desktop-integration &amp;&amp;
 
-sed -e "/distro-install-file-lists/d" -i Makefile.in &amp;&amp;
-
-chmod -v +x bin/unpack-sources &amp;&amp;
-
-./autogen.sh --prefix=$LO_PREFIX         \
+sed -e "/distro-install-file-lists/d" \
+    -i Makefile.in                            &amp;&amp;
+
+sed -e "/ustrbuf/a #include &lt;algorithm&gt;" \
+    -i svl/source/misc/gridprinter.cxx        &amp;&amp;
+
+chmod -v +x bin/unpack-sources                &amp;&amp;
+
+./autogen.sh --prefix=/usr               \
              --sysconfdir=/etc           \
              --with-vendor="BLFS"        \
-             --with-lang="en-US pt-BR"   \
+             --with-lang="fr en-GB"      \
              --with-help                 \
+             --with-myspell-dicts        \
              --with-alloc=system         \
              --without-java              \
+             --without-system-dicts      \
              --disable-gconf             \
              --disable-odk               \
              --disable-postgresql-sdbc   \
-             --enable-release-build=yes  \
+             --enable-release-build      \
              --enable-python=system      \
              --with-system-boost         \
@@ -410,4 +328,5 @@
              --with-system-jpeg          \
              --with-system-lcms2         \
+             --with-system-libatomic_ops \
              --with-system-libpng        \
              --with-system-libxml        \
@@ -430,4 +349,10 @@
     </para>
 
+    <note>
+      <para>
+        The package needs to be built from an X terminal emulator.
+      </para>
+    </note>
+
     <para>
       Build the package:
@@ -440,36 +365,46 @@
     </para>
 
-<screen role="root"><userinput>make distro-pack-install                                  &amp;&amp;
-install -v -m755 -d $LO_PREFIX/share/appdata              &amp;&amp;
-install -v -m644    sysui/desktop/appstream-appdata/*.xml \
-                    $LO_PREFIX/share/appdata</userinput></screen>
-
-    <para>
-       If the dictionaries have been built, again as
-       <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>chown -cR 0:0 dictionaries/                                                        &amp;&amp;
-mkdir -pv $LO_PREFIX/lib/libreoffice/share/extensions/dict-en                      &amp;&amp;
-cp -vR dictionaries/en/*    $LO_PREFIX/lib/libreoffice/share/extensions/dict-en    &amp;&amp;
-mkdir -pv $LO_PREFIX/lib/libreoffice/share/extensions/dict-pt-BR                   &amp;&amp;
-cp -vR dictionaries/pt_BR/* $LO_PREFIX/lib/libreoffice/share/extensions/dict-pt-BR</userinput></screen>
-
-    <para>
-       If installed in <filename class="directory">/opt/libreoffice-&libreoffice-dlversion;</filename>
-       and the icons in the new items of the desktop menu are not properly displayed,
-       optionally run the following commands, as
-       <systemitem class="username">root</systemitem> user (it may be necessary
-       to logout the session, before the icons appear):
-    </para>
-
-<screen role="root"><userinput>mkdir -pv /usr/share/pixmaps &amp;&amp;
-
-for i in writer base calc draw impress math startcenter writer
-do
-  ln -svf /opt/libreoffice-&libreoffice-dlversion;/share/icons/hicolor/32x32/apps/libreoffice-$i.png \
-          /usr/share/pixmaps/
-done
-unset i</userinput></screen>
+<screen role="root"><userinput>make distro-pack-install             &amp;&amp;
+install -v -dm755 /usr/share/appdata &amp;&amp;
+install -v -m644  sysui/desktop/appstream-appdata/*.xml \
+                  /usr/share/appdata</userinput></screen>
+
+    <para>
+      If installed in 
+      <filename class="directory">/opt/libreoffice-&libreoffice-dlversion;</filename>
+      some additional steps are necessary. Issue the following commands as the
+      <systemitem class="username">root</systemitem>user:
+    </para>
+
+<screen role="root"><userinput>if ["$LO_PREFIX" != "/usr" ]; then
+
+   # This symlink is necessary for the desktop menu entries
+   ln -svf $LO_PREFIX/lib/libreoffice/program/soffice /usr/bin/libreoffice &amp;&amp;
+
+   # Icons
+   for i in $LO_PREFIX/share/icons/hicolor/32x32/apps/*; do
+      ln -svf $i /usr/share/pixmaps
+   done &amp;&amp;
+
+   # Desktop menu entries
+   for i in $LO_PREFIX/lib/libreoffice/share/xdg/*; do
+      ln -svf $i /usr/share/applications/libreoffice-$(basename $i)
+   done &amp;&amp;
+
+   # Man pages
+   for i in $LO_PREFIX/share/man/man1/*; do
+      ln -svf $i /usr/share/man/man1/
+   done
+
+   unset i
+fi</userinput></screen>
+
+   <para>
+      If you have installed <xref linkend="desktop-file-utils"/>, and you wish
+      to update the MIME database, issue, as the <systemitem class="username">
+      root</systemitem> user:
+   </para>
+
+<screen role="root"><userinput>update-desktop-database</userinput></screen>
 
   </sect2>
@@ -480,5 +415,6 @@
     <para>
       <command>sed -e ...</command>: The first sed prevents compression of the
-      manual pages, the second one prevents install from failing.
+      manual pages, the second one prevents install from failing and the
+      third one prevents a build failure by adding a necessary include.
     </para>
 
@@ -491,30 +427,27 @@
       the vendor which is mentioned when you click "About" on the toolbar.
     </para>
-<!-- I believe en-US is not necessary anymore
-    <para>
-      <parameter>-\-with-lang="en-US pt-BR"</parameter>: This switch sets
-      what languages to support. en-US is always needed. To list several
-      languages, separate them with a space. For all languages, use
-      <parameter>-\-with-lang=ALL</parameter>
-    </para>
--->
-
-    <para>
-      <parameter>--with-lang="en-US pt-BR"</parameter>: This switch sets
-      what languages to support. To list several languages, separate them with
-      a space. For all languages, use
+
+    <para>
+      <parameter>--with-lang="fr en-GB"</parameter>: This switch sets
+      what languages to support. To list several languages, separate them
+      with a space. For all languages, use
       <parameter>--with-lang=ALL</parameter>.
     </para>
 
-    <note><para>
-      For a list of the 117 available languages, you can look at the 
-      translations tarball: <command>tar -tf
-      ../libreoffice-translations-&libreoffice-dlversion;.tar.xz |
-      grep translations/source| cut -d/ -f4 | uniq</command>.
-    </para></note>
-
-    <para>
-      <parameter>--with-help</parameter>: Without this switch, the help files
-      are not built.
+    <note>
+      <para>
+        For a list of the available languages, look in
+        <filename>solenv/inc/langlist.mk</filename>.
+      </para>
+    </note>
+
+    <para>
+      <parameter>--with-help</parameter>: This switch is used to enable
+      installation of the help files.
+    </para>
+
+    <para>
+      <parameter>--with-myspell-dicts</parameter>: This switch is used
+      to enable installation of the bundled dictionaries.
     </para>
 
@@ -523,4 +456,10 @@
       <application>LibreOffice</application> to use system allocator
       instead of the internal one.
+    </para>
+
+    <para>
+      <parameter>--without-system-dicts</parameter>: This switch is
+      used to ensure that the dictionaries installed by this
+      package are being used.
     </para>
 
@@ -555,10 +494,7 @@
  
     <para>
-      <parameter>--enable-release-build=yes</parameter>: This switch enables a
-      Release Build.
-      <application>LibreOffice</application> can be built as a Release Build or
-      as a Developer Build, because their default installation paths and user
-      profile paths are different. Developer Build displays the words "Dev" and
-      "Beta" in several places (e.g, menu and splash screen).
+      <parameter>--enable-release-build</parameter>: This switch is used to
+      remove "Beta" or "Dev" from <application>LibreOffice</application>
+      splash screen and "About" menu.
     </para>
 
@@ -567,5 +503,5 @@
       <application>LibreOffice</application> to use installed
       <application>Python 3</application> to build the translations
-      instead of the bundled one. 
+      instead of the bundled one.
     </para>
 
@@ -584,23 +520,17 @@
 
     <para>
-      <option>--disable-cups</option>: Use this switch if you don't need
-      printing support.
-    </para>
-
-    <para>
-      <option>--disable-dbus</option>: Use this switch if you've not
-      installed D-Bus-1.8.0 or later. It also disables Bluetooth support and 
-      font install via PackageKit. 
-    </para>
-
-    <para>
-      <option>--disable-gstreamer-0-10</option>: Use this switch if you've
-      not installed <xref linkend="gst-plugins-base"/>.
-    </para>
-
-    <para>
-      <option>--enable-gstreamer</option>: Use this switch if you want to
-      use <xref linkend="gst10-plugins-base"/> instead of
-      <xref linkend="gst-plugins-base"/> for the avmedia module.
+      <option>--enable-gstreamer-0-10</option>: Use this switch if you want to
+      use <xref linkend="gst-plugins-base"/> instead of
+      <xref linkend="gst10-plugins-base"/> for the avmedia module.
+    </para>
+
+    <para>
+      <option>--disable-gstreamer-1-0</option>: Use this switch if you
+      haven't installed <xref linkend="gst10-plugins-base"/>.
+    </para>
+
+    <para>
+      <option>--enable-gtk3</option>: Use this switch if you want to
+      build the <application>GTK+ 3</application> integration module.
     </para>
 
@@ -618,19 +548,16 @@
       <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directory</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
         <seg>
           libreoffice, lobase, localc, lodraw, loffice, lofromtemplate,
-          loimpress, lomath, loweb, lowriter, soffice and unopkg;
-          several programs under
-          $LO_PREFIX/lib/libreoffice/program
+          loimpress, lomath, loweb, lowriter, soffice and unopkg
         </seg>
         <seg>
-          several libraries under
-          $LO_PREFIX/lib/libreoffice/{ure/lib,program}
+          None
         </seg>
         <seg>
-          $LO_PREFIX/lib/libreoffice
+          /usr/lib/libreoffice
         </seg>
       </seglistitem>