Index: connect/dhcp/bootscripts.xml
===================================================================
--- connect/dhcp/bootscripts.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ connect/dhcp/bootscripts.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -25,5 +25,6 @@
 
 <para>If the interface you intend to use as your default gateway is going to 
-use DHCP, the first step is to remove the GATEWAY and GATEWAY_IF variables 
+use DHCP, the first step is to remove the <envar>GATEWAY</envar> and
+<envar>GATEWAY_IF</envar> variables 
 from <filename>/etc/sysconfig/network</filename>.  This will only need to be
 done once.</para>
Index: connect/dhcp/dhcp-client.xml
===================================================================
--- connect/dhcp/dhcp-client.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ connect/dhcp/dhcp-client.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -32,5 +32,5 @@
 
 <para>For more information on the appropriate 
-<userinput>DHCP_START</userinput> and <userinput>DHCP_STOP</userinput> 
+<envar>DHCP_START</envar> and <envar>DHCP_STOP</envar> 
 values, examine the man page for dhclient.</para>
 
Index: connect/dhcp/dhcpcd/dhcpcd-config.xml
===================================================================
--- connect/dhcp/dhcpcd/dhcpcd-config.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ connect/dhcp/dhcpcd/dhcpcd-config.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -20,5 +20,5 @@
 
 <para>For more information on the appropriate
-<userinput>DHCP_START</userinput> and <userinput>DHCP_STOP</userinput>
+<envar>DHCP_START</envar> and <envar>DHCP_STOP</envar>
 values, examine the man page for dhcpcd.</para>
 
Index: general/genlib/aspell/aspell-desc.xml
===================================================================
--- general/genlib/aspell/aspell-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/aspell/aspell-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,6 +2,6 @@
 <title>Contents</title>
 
-<para>The aspell package contains the <filename>aspell</filename>
-library.</para>
+<para>The aspell package contains the <filename>libaspell</filename>
+libraries.</para>
 
 </sect2>
Index: general/genlib/expat/expat-desc.xml
===================================================================
--- general/genlib/expat/expat-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/expat/expat-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The expat package contains the <filename>expat</filename> libraries and 
+<para>The expat package contains the <filename>libexpat</filename> libraries and 
 <userinput>xmlwf</userinput>.</para>
 
Index: general/genlib/gdbm/gdbm-desc.xml
===================================================================
--- general/genlib/gdbm/gdbm-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/gdbm/gdbm-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The gdbm package contains <filename>gdbm</filename> libraries.</para>
+<para>The gdbm package contains <filename>libgdbm</filename> libraries.</para>
 
 </sect2>
Index: general/genlib/glib/glib-desc.xml
===================================================================
--- general/genlib/glib/glib-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/glib/glib-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The glib package contains <filename>GLib</filename> libraries.</para>
+<para>The glib package contains <filename>libglib-1.2</filename> libraries.</para>
 
 </sect2>
Index: general/genlib/glib/glib2-desc.xml
===================================================================
--- general/genlib/glib/glib2-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/glib/glib2-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The glib package contains <filename>GLib</filename> libraries.</para>
+<para>The glib package contains <filename>libglib-2.0</filename> libraries.</para>
 
 </sect2>
Index: general/genlib/gmp/gmp-desc.xml
===================================================================
--- general/genlib/gmp/gmp-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/gmp/gmp-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The gmp package contains <filename>gmp</filename> libraries.</para>
+<para>The gmp package contains <filename>libgmp</filename> libraries.</para>
 
 </sect2>
Index: general/genlib/guile/guile-desc.xml
===================================================================
--- general/genlib/guile/guile-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/guile/guile-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>In addition to the Guile libraries, the Guile package contains
+<para>In addition to the <filename>libguile</filename> libraries, the Guile package contains
 <userinput>guile</userinput>,
 <userinput>guile-config</userinput> and 
Index: general/genlib/libfam/libfam-desc.xml
===================================================================
--- general/genlib/libfam/libfam-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/libfam/libfam-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,6 +2,6 @@
 <title>Contents</title>
 
-<para>The libfam package contains
-<userinput>fam</userinput>.</para>
+<para>The libfam package contains <userinput>fam</userinput> and
+<filename>libfam</filename> libraries.</para>
 
 </sect2>
Index: general/genlib/openssl/openssl-desc.xml
===================================================================
--- general/genlib/openssl/openssl-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/openssl/openssl-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -3,6 +3,6 @@
 
 <para>The openssl package contains <userinput>c_rehash</userinput>,
-<userinput>openssl</userinput>, <userinput>libcrypto</userinput> and
-<userinput>libssl</userinput>.</para>
+<userinput>openssl</userinput>, <filename>libcrypto</filename> libraries and
+<filename>libssl</filename> libraries.</para>
 
 </sect2>
Index: general/genlib/pcre/pcre-desc.xml
===================================================================
--- general/genlib/pcre/pcre-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/pcre/pcre-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The pcre package contains the <filename>pcre</filename> libraries, <userinput>pcregrep</userinput>,
+<para>The pcre package contains the <filename>libpcre</filename> libraries, <userinput>pcregrep</userinput>,
 <userinput>pcretest</userinput> and 
 <userinput>pcre-config</userinput>.</para>
Index: general/genlib/popt/popt-desc.xml
===================================================================
--- general/genlib/popt/popt-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/popt/popt-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The popt package contains the <filename>popt</filename> library.</para>
+<para>The popt package contains the <filename>libpopt</filename> libraries.</para>
 
 </sect2>
Index: general/genlib/readline/readline-desc.xml
===================================================================
--- general/genlib/readline/readline-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/readline/readline-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,6 +2,6 @@
 <title>Contents</title>
 
-<para>The readline package contains the GNU readline and history
-libraries.</para> 
+<para>The readline package contains the <filename>libreadline</filename>
+libraries and <filename>libhistory</filename> libraries.</para> 
 
 </sect2>
Index: general/genlib/slang/slang-desc.xml
===================================================================
--- general/genlib/slang/slang-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genlib/slang/slang-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The slang package contains the <filename>slang</filename> library.</para>
+<para>The slang package contains the <filename>libslang</filename> libraries.</para>
 
 </sect2>
Index: general/genutils/rep-gtk/rep-gtk-desc.xml
===================================================================
--- general/genutils/rep-gtk/rep-gtk-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/genutils/rep-gtk/rep-gtk-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The rep-gtk package contains <filename>Lisp</filename> bindings.</para>
+<para>The rep-gtk package contains Lisp bindings.</para>
 
 </sect2>
Index: general/graphlib/aalib/aalib-desc.xml
===================================================================
--- general/graphlib/aalib/aalib-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/graphlib/aalib/aalib-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The aalib package contains the <filename>Ascii Art</filename> libraries, <userinput>aalib-config</userinput>,
+<para>The aalib package contains the <filename>libaa</filename> libraries, <userinput>aalib-config</userinput>,
 <userinput>aainfo</userinput>, <userinput>aatest</userinput> and
 <userinput>aasavefont</userinput>.</para>
Index: general/graphlib/imlib/imlib-desc.xml
===================================================================
--- general/graphlib/imlib/imlib-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/graphlib/imlib/imlib-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The imlib package contains <filename>imlib</filename> libraries.</para>
+<para>The imlib package contains <filename>libimlib</filename> libraries.</para>
 
 </sect2>
Index: general/graphlib/lcms/lcms-desc.xml
===================================================================
--- general/graphlib/lcms/lcms-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/graphlib/lcms/lcms-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,6 @@
 <title>Contents</title>
 
-<para>The lcms package contains the <filename>lcms</filename> library.</para>
+<para>The lcms package contains the <filename>liblcms</filename>
+libraries.</para>
 
 </sect2>
Index: general/graphlib/libjpeg/libjpeg-desc.xml
===================================================================
--- general/graphlib/libjpeg/libjpeg-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/graphlib/libjpeg/libjpeg-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -5,5 +5,5 @@
 <userinput>djpeg</userinput>, <userinput>jpegtran</userinput>,
 <userinput>rdjpgcom</userinput>, <userinput>wrjpgcom</userinput> and
-<filename>jpeg</filename> libraries.</para>
+<filename>libjpeg</filename> libraries.</para>
 
 </sect2>
Index: general/graphlib/libmng/libmng-desc.xml
===================================================================
--- general/graphlib/libmng/libmng-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/graphlib/libmng/libmng-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The libmng package contains <filename>mng</filename> libraries.</para>
+<para>The libmng package contains <filename>libmng</filename> libraries.</para>
 
 </sect2>
Index: general/graphlib/libmng/libmng-exp.xml
===================================================================
--- general/graphlib/libmng/libmng-exp.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/graphlib/libmng/libmng-exp.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -4,5 +4,4 @@
 <para><screen><userinput>./configure --prefix=/usr --with-zlib \
 --with-jpeg --with-lcms </userinput></screen>
-
 This command sets the install directory and also tells the configuration
 routine to look and find zlib, libjpeg and lcms.</para>
Index: general/graphlib/libungif/libungif-desc.xml
===================================================================
--- general/graphlib/libungif/libungif-desc.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/graphlib/libungif/libungif-desc.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -17,5 +17,5 @@
 <userinput>icon2gif</userinput>, <userinput>raw2gif</userinput>,
 <userinput>rgb2gif</userinput>, <userinput>text2gif</userinput> and
-<filename>ungif</filename> libraries.</para>
+<filename>libungif</filename> libraries.</para>
 
 </sect2>
Index: general/prog/jdk/j2sdk-config.xml
===================================================================
--- general/prog/jdk/j2sdk-config.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/prog/jdk/j2sdk-config.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -18,5 +18,6 @@
 export PATH=$PATH:$JAVA_HOME/bin</userinput></screen></para>
 
-<para>Add <filename>$JAVA_HOME/man</filename> to your MANPATH variable or to
+<para>Add <filename>$JAVA_HOME/man</filename> to your
+<envar>MANPATH</envar> variable or to
 <filename>/etc/man.conf</filename></para>
 
Index: general/prog/jdk/j2sdk-exp.xml
===================================================================
--- general/prog/jdk/j2sdk-exp.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/prog/jdk/j2sdk-exp.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -32,8 +32,10 @@
 rpm. </para>
 
-<para><userinput>unset JAVA_HOME</userinput> : This clears the JAVA_HOME
+<para><userinput>unset JAVA_HOME</userinput> : This clears the
+<envar>JAVA_HOME</envar>
 variable and prevents misdirection during compile.</para>
 
-<para><userinput>unset CLASSPATH</userinput> : This clears the CLASSPATH
+<para><userinput>unset CLASSPATH</userinput> : This clears the
+<envar>CLASSPATH</envar>
 variable and prevents misdirection during compile.</para>
 
Index: general/sysutils/pkgconfig/pkgconfig-config.xml
===================================================================
--- general/sysutils/pkgconfig/pkgconfig-config.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ general/sysutils/pkgconfig/pkgconfig-config.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -5,5 +5,5 @@
 <screen><userinput>export PKG_CONFIG_PATH=/usr/X11R6/lib/pkgconfig</userinput></screen></para>
 
-<para>The default settings for PKG_CONFIG_PATH are
+<para>The default settings for <envar>PKG_CONFIG_PATH</envar> are
 <filename>/lib/pkgconfig</filename>,
 <filename>/usr/lib/pkgconfig</filename> and
Index: index.xml
===================================================================
--- index.xml	(revision e68cc1cd792ed6507fe8a2fe4cf7f393b4a9329a)
+++ index.xml	(revision 52b9837fef8e339c07f568394b6714afdf880aad)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20030420">
-<!ENTITY releasedate "April 20th, 2003">
+<!ENTITY version "20030421">
+<!ENTITY releasedate "April 21st, 2003">
 
 <!ENTITY % book SYSTEM "book/book.ent">