Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0f3db56b50ba1899fc93f09f0564fc859ec5e759)
+++ introduction/welcome/changelog.xml	(revision 53cd2d546c08c384819b497df9f083da8ecc8ed8)
@@ -42,4 +42,16 @@
     </listitem>
     -->
+    <listitem>
+      <para>August 19th, 2022</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to kf5-5.97.0 includes 
+            extra-cmake-modules-5.97.0, oxygen-icons5-5.97.0, and
+            breeze-icons-5.97.0. Fixes
+          <ulink url="&blfs-ticket-root;16657">#16657</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>August 18th, 2022</para>
Index: kde/extra-cmake-modules.xml
===================================================================
--- kde/extra-cmake-modules.xml	(revision 0f3db56b50ba1899fc93f09f0564fc859ec5e759)
+++ kde/extra-cmake-modules.xml	(revision 53cd2d546c08c384819b497df9f083da8ecc8ed8)
@@ -7,5 +7,5 @@
    <!ENTITY extra-cmake-modules-download-http "&kf5-download-http;/extra-cmake-modules-&kf5-version;.tar.xz">
    <!ENTITY extra-cmake-modules-download-ftp  " ">
-   <!ENTITY extra-cmake-modules-md5sum        "87284231fba89d63a644fd5580a93419">
+   <!ENTITY extra-cmake-modules-md5sum        "9004ad7e58f5d3ef4a68ac9d3d432c51">
    <!ENTITY extra-cmake-modules-size          "324 KB">
    <!ENTITY extra-cmake-modules-buildsize     "4.5 MB">
Index: kde/kf5/kf5-frameworks.xml
===================================================================
--- kde/kf5/kf5-frameworks.xml	(revision 0f3db56b50ba1899fc93f09f0564fc859ec5e759)
+++ kde/kf5/kf5-frameworks.xml	(revision 53cd2d546c08c384819b497df9f083da8ecc8ed8)
@@ -9,6 +9,6 @@
   <!ENTITY kf5-download-ftp  " ">
   <!ENTITY kf5-md5sum        "See Below">
-  <!ENTITY kf5-size          "272 MB">
-  <!ENTITY kf5-buildsize     "1.4 GB (245 MB installed)">
+  <!ENTITY kf5-size          "274 MB">
+  <!ENTITY kf5-buildsize     "1.4 GB (246 MB installed)">
   <!ENTITY kf5-time          "15 SBU (using parallelism=4)">
 ]>
@@ -16,8 +16,4 @@
 <sect1 id="kf5-frameworks" xreflabel="KDE Frameworks-&kf5-version;">
   <?dbhtml filename="frameworks5.html"?>
-
-  <sect1info>
-     <date>$Date$</date>
-  </sect1info>
 
   <title>Building KDE Frameworks 5 (KF5)</title>
@@ -213,87 +209,87 @@
      needs special instructions because it is a pure python package. -->
 <screen><userinput>cat &gt; frameworks-&kf5-version;.md5 &lt;&lt; "EOF"
-<literal>4c58b14c3e9b566efa1192d4ecd2af79  attica-5.94.0.tar.xz
-#87284231fba89d63a644fd5580a93419  extra-cmake-modules-5.94.0.tar.xz
-#05881681bb54a656df941760ec95f78f  kapidox-5.94.0.tar.xz
-7755930b43e6d1c2ffd84d3a0900837c  karchive-5.94.0.tar.xz
-5e369a4776d905113ffd3ff4253ec242  kcodecs-5.94.0.tar.xz
-ef377ebb6a0a186f0b0c1d866e9cd9e0  kconfig-5.94.0.tar.xz
-08307d77429c08cace165ee332774150  kcoreaddons-5.94.0.tar.xz
-ec62f262f1e18f18f98583e2c2a9eef0  kdbusaddons-5.94.0.tar.xz
-6e904e169b64308f26a849e97b57a229  kdnssd-5.94.0.tar.xz
-b2c6301308c0d14e175ed7247a20a2f5  kguiaddons-5.94.0.tar.xz
-a5ed561a992e8c153ba8ee9e928df775  ki18n-5.94.0.tar.xz
-a20e40478fd1d97dfb1de841c618ddbb  kidletime-5.94.0.tar.xz
-5d8a593d887dd87ec275ecd60463c23e  kimageformats-5.94.0.tar.xz
-c70d3292fd64cf0601031a77b952da16  kitemmodels-5.94.0.tar.xz
-598084088d4aa8774ed45fd90f27b889  kitemviews-5.94.0.tar.xz
-a405d0efed821d49046701e23df3a15a  kplotting-5.94.0.tar.xz
-28ec585eb7b021d9fe36c34a04e15e45  kwidgetsaddons-5.94.0.tar.xz
-dc4600c342cf19a59f77a0a3e6f15f9a  kwindowsystem-5.94.0.tar.xz
-13b415dae8fecc7bc13fd74da8dcbd5c  networkmanager-qt-5.94.0.tar.xz
-f01586b53ec25461a79e9b041384ccf6  solid-5.94.0.tar.xz
-4d9bb4004e793c74090b09c517a73ed3  sonnet-5.94.0.tar.xz
-e0587825e0f9a9900907ebc5bdec4fc7  threadweaver-5.94.0.tar.xz
-63298692e6643c2f9c46f5e896092249  kauth-5.94.0.tar.xz
-df116b33cd4701417804995181043e17  kcompletion-5.94.0.tar.xz
-b15403397a15cdd19cc9c37cc641a390  kcrash-5.94.0.tar.xz
-89150622d44cbe16d0866630679ed344  kdoctools-5.94.0.tar.xz
-8c9e66d27034ab827a7bff258c26ac40  kpty-5.94.0.tar.xz
-e4614a7ff9b50b45f0d331569b1f037c  kunitconversion-5.94.0.tar.xz
-99b651617d4aa11de8da3a29fca4f293  kconfigwidgets-5.94.0.tar.xz
-0b503bfe8fa34c67d7cd05c3e4569deb  kservice-5.94.0.tar.xz
-8962279f6b830f6facb2b4774fe3bbd5  kglobalaccel-5.94.0.tar.xz
-f21bde21930493488e580b7ab2fb9a68  kpackage-5.94.0.tar.xz
-0740b92bcdf9a693337a44d8d60010a8  kdesu-5.94.0.tar.xz
-4074814f4ef40b9c4ef98730d04eacc3  kemoticons-5.94.0.tar.xz
-39d57f459d465ee36257afa00d14c4af  kiconthemes-5.94.0.tar.xz
-4efc13aa9b4c25e0c8ecdccbded0258b  kjobwidgets-5.94.0.tar.xz
-b1eed570adcf176e26732e11d443b45f  knotifications-5.94.0.tar.xz
-02196b04420b82dea5a8cfb1afe4c3ed  ktextwidgets-5.94.0.tar.xz
-9e3262d243d0647fa449637bb6721257  kxmlgui-5.94.0.tar.xz
-fdf2b3aa23143a61245d5c9c71b1e10a  kbookmarks-5.94.0.tar.xz
-33dfaa62d9a29c728d5517cb470f4cab  kwallet-5.94.0.tar.xz
-df17b4d7749752ea870f41ee939a6de2  kded-5.94.0.tar.xz
-b173ed937a1031bbe3fcb9b00cde8ddf  kio-5.94.0.tar.xz
-e1545546a5dffb1a204ee52ce35f262a  kdeclarative-5.94.0.tar.xz
-1db143e7ae245d53c83310532f22c42c  kcmutils-5.94.0.tar.xz
-a7dd929fe16bee46a7a6405496e07c1a  kirigami2-5.94.0.tar.xz
-0b5af5f1b6a01fbfc2f9409080b1ed6d  syndication-5.94.0.tar.xz
-910e635386cdbc7fb001a26188f2ad2f  knewstuff-5.94.0.tar.xz
-e1234f34020f69e96029159b985a90fe  frameworkintegration-5.94.0.tar.xz
-22d387e61144829658ee37e39dc63cd3  kinit-5.94.0.tar.xz
-1eda63d543969f2e92a4bcd3431042d7  kparts-5.94.0.tar.xz
-21e2b0a1a22a23b10396c8eed8c31b00  kactivities-5.94.0.tar.xz
-#c67ab93795b50e39b1e31628da1ca011  kdewebkit-5.94.0.tar.xz
-1848474b94ea30081d287870f9cba116  syntax-highlighting-5.94.0.tar.xz
-0b2d6b28c7d543c1d32ad9726e29e40f  ktexteditor-5.94.0.tar.xz
-4fbb3293df1edb2605ce928dcb562d97  kdesignerplugin-5.94.0.tar.xz
-71e3be9e7c55af746b96d6ac72434019  kwayland-5.94.0.tar.xz
-a3e74066c093105e4bb46f6feeecf16c  plasma-framework-5.94.0.tar.xz
-#37ee3c5a952c19c827bb183ae0c30af1  modemmanager-qt-5.94.0.tar.xz
-add7886e4c40a1f391bdb590130bc7ab  kpeople-5.94.0.tar.xz
-f4b6e612931d90c89719a91710c1ca5c  kxmlrpcclient-5.94.0.tar.xz
-f26170bc0c78b72cdeb0908df7524181  bluez-qt-5.94.0.tar.xz
-3c1187cff306f87dce08100996a93b96  kfilemetadata-5.94.0.tar.xz
-a453a4ab37073aafeb6e5a5c487230b9  baloo-5.94.0.tar.xz
-#30d8ecac16f36e4b9fd1794a39460c42  breeze-icons-5.94.0.tar.xz
-#0101721db51fdce9dd6e3e3b6de46f2a  oxygen-icons5-5.94.0.tar.xz
-ff23ccf6ade8f2a7709b36846748758e  kactivities-stats-5.94.0.tar.xz
-69f5c374d56ff468b8cd5d0cf6b3e223  krunner-5.94.0.tar.xz
-60c71e3c275b97caacd7568987a4fab4  prison-5.94.0.tar.xz
-5a24bcad8364bc54f08eeef64920d2c5  qqc2-desktop-style-5.94.0.tar.xz
-10cd152091f2c14d7dcb888cd69aa902  kjs-5.94.0.tar.xz
-caa2c3e5dcc94924877e5f1d2430b5a6  kdelibs4support-5.94.0.tar.xz
-3afa34590fcc12338c17118859a604b3  khtml-5.94.0.tar.xz
-7b2dd5afb48757ea1ec22f22a9fe880e  kjsembed-5.94.0.tar.xz
-42434eaee534d1d82cd152368fd695a8  kmediaplayer-5.94.0.tar.xz
-0ded971b6d9aa1fdc27d721c022fd6e4  kross-5.94.0.tar.xz
-7f5fe39fa4d9714aeffa75d381a8d63a  kholidays-5.94.0.tar.xz
-62928a8400931c074e4f924899e0ee3b  purpose-5.94.0.tar.xz
-cef3c9347f6feb52ccb5bdf3d32d3572  kcalendarcore-5.94.0.tar.xz
-e871157fef871e5b65c728b7bbc52c47  kcontacts-5.94.0.tar.xz
-774aab02052060e0935b53a80b6aee2c  kquickcharts-5.94.0.tar.xz
-d5eb244dabef2a80fef3344410fe1d89  knotifyconfig-5.94.0.tar.xz
-67d0ce7a0c7bc64c5711440817585fce  kdav-5.94.0.tar.xz</literal>
+<literal>b6bc2ad39f48daf021eb6e3146ea1b2f  attica-5.97.0.tar.xz
+#9004ad7e58f5d3ef4a68ac9d3d432c51  extra-cmake-modules-5.97.0.tar.xz
+f16a3cbba1d24c73dde77895e77f9633  kapidox-5.97.0.tar.xz
+fcf875c8408891c62bb15e2ffa1f523e  karchive-5.97.0.tar.xz
+c4fda652d325ce599821b898c710105e  kcodecs-5.97.0.tar.xz
+e007684ef4b71aa63c997f7e53257936  kconfig-5.97.0.tar.xz
+aa862f672a8dfaef39af0dda8c3ea892  kcoreaddons-5.97.0.tar.xz
+97dfc5ff026d71ac18ad862b1b04fdd5  kdbusaddons-5.97.0.tar.xz
+effc56abeefd23cf38be0d1448c48092  kdnssd-5.97.0.tar.xz
+2211961bfca22edd9b7bb4c28d3d3c94  kguiaddons-5.97.0.tar.xz
+7c92678a3cbd23cc2245fa0258f5e4fb  ki18n-5.97.0.tar.xz
+5ab6acca13664b38a0f789f74416b834  kidletime-5.97.0.tar.xz
+8dea9b3373b266ea00eef1875e154e16  kimageformats-5.97.0.tar.xz
+2b35af1ee245563dd5b521e756228e00  kitemmodels-5.97.0.tar.xz
+96daac9f4c21bab82d1da2d980f614c6  kitemviews-5.97.0.tar.xz
+aac1e13fb038a54a4f907665200c3c69  kplotting-5.97.0.tar.xz
+c5343837bea2bb66ed8fa6371a2b9ee6  kwidgetsaddons-5.97.0.tar.xz
+9b561803e8776cc1eda0809cb31f9dda  kwindowsystem-5.97.0.tar.xz
+3d812644475d1f3dfeea44f4b1b7e36b  networkmanager-qt-5.97.0.tar.xz
+373c435787485e571ca95f8f4b408181  solid-5.97.0.tar.xz
+8975618339356417006c31da3b8ca8c1  sonnet-5.97.0.tar.xz
+a22052df457b0d08f8ba15fd6f25c4a5  threadweaver-5.97.0.tar.xz
+f3e57280dd260385559a531fbe8d2fc3  kauth-5.97.0.tar.xz
+a4a5c5b82eb731b2229fab92d3dfb1cb  kcompletion-5.97.0.tar.xz
+7d96391d642ce153a9eaae3c63b112e1  kcrash-5.97.0.tar.xz
+76db6e9f9200fad4b9cbc3b01ae3755f  kdoctools-5.97.0.tar.xz
+99655561b2bbd14e414b132d44bb8d90  kpty-5.97.0.tar.xz
+954fc91f33ec53de224156cc10bc04c4  kunitconversion-5.97.0.tar.xz
+1c150ec6adaf8685af8bc80256560a86  kconfigwidgets-5.97.0.tar.xz
+3793f484ae97355d279731bb9de6f97a  kservice-5.97.0.tar.xz
+029f666542f69e6f543dc18a3e02023c  kglobalaccel-5.97.0.tar.xz
+d4f3946ac9544e80999ab436a27619dc  kpackage-5.97.0.tar.xz
+208f34d8c979f7060958d1eee5ab91cd  kdesu-5.97.0.tar.xz
+18edfe35f0d2fc06bd628c515ca47bcf  kemoticons-5.97.0.tar.xz
+798e5c986dae8e2f1e83ab0868bf1fb8  kiconthemes-5.97.0.tar.xz
+d4cc3101b12bd36cf4a87f0c3936ccf1  kjobwidgets-5.97.0.tar.xz
+3980c8e6b94716b0d19b9e2a7d730596  knotifications-5.97.0.tar.xz
+1af7d339e2f5a2a540e51339c04d1b0a  ktextwidgets-5.97.0.tar.xz
+05caf363dee221bab3de1904ec53978a  kxmlgui-5.97.0.tar.xz
+5836416fb862f7957dfaa08e88beb1b0  kbookmarks-5.97.0.tar.xz
+b7b3921f31d6d5d8776ea68545b8ae5b  kwallet-5.97.0.tar.xz
+da9188168e736982b2434f852cf3440c  kded-5.97.0.tar.xz
+5cba35e9783a7df9f0f54af18c2ef368  kio-5.97.0.tar.xz
+7e8f1dc158a5a175c0d83dc2427c71ef  kdeclarative-5.97.0.tar.xz
+5d7fc8b6947106760c5d17e4dfea3eeb  kcmutils-5.97.0.tar.xz
+1ff454d283acb8f83105acb8cf97e544  kirigami2-5.97.0.tar.xz
+94d97bd68e2f3a0c5cfb55060194b349  syndication-5.97.0.tar.xz
+177bb5f04eea4ea522aacda8761af2af  knewstuff-5.97.0.tar.xz
+61b8d7692ad04acefcb76586cb767161  frameworkintegration-5.97.0.tar.xz
+bd9eb91ce374b4156f1f00dcd69dbb2f  kinit-5.97.0.tar.xz
+0a635ff4847c3642630309072f5370a1  kparts-5.97.0.tar.xz
+2c742c8bd4c219546e697ea04c44349f  kactivities-5.97.0.tar.xz
+#b67212701c202167ba858c76292cf878  kdewebkit-5.97.0.tar.xz
+8baf05c07c7dc9dfca1a4e1f6ca9be67  syntax-highlighting-5.97.0.tar.xz
+ee86c062e6243938488fa9d348eaa096  ktexteditor-5.97.0.tar.xz
+ce4f59beb52eea5b5b859fca12efa0f7  kdesignerplugin-5.97.0.tar.xz
+c0943e04bb7f514c58bcb9b891efb080  kwayland-5.97.0.tar.xz
+f6057058a81114c935a3d7b499d86ed5  plasma-framework-5.97.0.tar.xz
+#5055670cd06b0724530ff8fbfc0c5ce8  modemmanager-qt-5.97.0.tar.xz
+2c0c9727577fd9c3ad76edb9782c7ef2  kpeople-5.97.0.tar.xz
+2b2440eba6e162dc1656d6509034bba8  kxmlrpcclient-5.97.0.tar.xz
+ae5ee6e46e3f9d4942ba7bb80f8315b9  bluez-qt-5.97.0.tar.xz
+a204986f080c48927a4adb86267ba812  kfilemetadata-5.97.0.tar.xz
+a4b34f2125d5383a5a4a39cdc3be1573  baloo-5.97.0.tar.xz
+#ad6ca5a1b4bcd4613fe1095b2db58a97  breeze-icons-5.97.0.tar.xz
+#7e8e52f68e5150fdd76f719a723bef6a  oxygen-icons5-5.97.0.tar.xz
+7602faea0198bd90d4be8a4fd9a801bc  kactivities-stats-5.97.0.tar.xz
+f3ec8fb5cd8c5122d168ba5c88d5e14b  krunner-5.97.0.tar.xz
+49768a3b67be8b6d71991c1718fb7c4d  prison-5.97.0.tar.xz
+a5a7b1ca6070ff7b6dffa95c26b3e5ef  qqc2-desktop-style-5.97.0.tar.xz
+320e05aedf589b7ac7fa1d8306bbc848  kjs-5.97.0.tar.xz
+100e234811619545ae2f3593d6a3b2f0  kdelibs4support-5.97.0.tar.xz
+4fd0814002839e5b59f51900d0b78e58  khtml-5.97.0.tar.xz
+45cf95eaf299f321dd13ad7b8a17dc97  kjsembed-5.97.0.tar.xz
+05822933cf655c80e224e0485851a444  kmediaplayer-5.97.0.tar.xz
+85e084c6a4840153a9fccb581e60dad6  kross-5.97.0.tar.xz
+c615b5e81ea72ae6bf34a99bfc0e2a79  kholidays-5.97.0.tar.xz
+f39b30f3694af24dac61c1071ed5d068  purpose-5.97.0.tar.xz
+a77b9f69f5975628b8ca33d97ae2a39d  kcalendarcore-5.97.0.tar.xz
+5ed0abb402a5d4b3de57a6617e208536  kcontacts-5.97.0.tar.xz
+b31f41825fe3559f15585e55486ef0a2  kquickcharts-5.97.0.tar.xz
+ebf49cc30a267ec0ab45c7e857e3fcd9  knotifyconfig-5.97.0.tar.xz
+41abc6ed2ff884c1400fc9caa0138731  kdav-5.97.0.tar.xz</literal>
 EOF</userinput></screen>
 
@@ -368,10 +364,15 @@
     tar -xf $file
     pushd $packagedir
-<!--
+
+      # kapidox is a python module
       case $name in
-        plasma-framework*)
-          sed -i 's/${EGL_TARGET}/GL EGL/' src/declarativeimports/core/CMakeLists.txt ;;
+        kapidox)
+          pip3 wheel -w dist --no-build-isolation --no-deps $PWD
+          sudo pip3 install --no-index --find-links dist --no-cache-dir --no-user kapidox
+          popd
+          rm -rf $packagedir
+          continue
       esac
--->
+
       mkdir build
       cd    build
@@ -405,5 +406,5 @@
       Useless systemd units have been installed in
       <filename class="directory">$KF5_PREFIX/lib</filename>. Remove
-      them now (as <systemitem class="username">root</systemitem>):
+      them now (as &root;):
     </para>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 0f3db56b50ba1899fc93f09f0564fc859ec5e759)
+++ packages.ent	(revision 53cd2d546c08c384819b497df9f083da8ecc8ed8)
@@ -835,7 +835,7 @@
 
 <!-- KF5 and Plasma -->
-<!ENTITY kf5-version           "5.94.0">
-<!ENTITY kf5-short-version     "5.94">
-<!ENTITY kf5-base              "5.94">
+<!ENTITY kf5-version           "5.97.0">
+<!ENTITY kf5-short-version     "5.97">
+<!ENTITY kf5-base              "5.97">
 <!ENTITY kf5-download-http     "https://download.kde.org/stable/frameworks/&kf5-base;">
 
Index: x/icons/breeze-icons.xml
===================================================================
--- x/icons/breeze-icons.xml	(revision 0f3db56b50ba1899fc93f09f0564fc859ec5e759)
+++ x/icons/breeze-icons.xml	(revision 53cd2d546c08c384819b497df9f083da8ecc8ed8)
@@ -7,5 +7,5 @@
   <!ENTITY breeze-icons-download-http "&kf5-download-http;/breeze-icons-&kf5-version;.tar.xz">
   <!ENTITY breeze-icons-download-ftp  " ">
-  <!ENTITY breeze-icons-md5sum        "30d8ecac16f36e4b9fd1794a39460c42">
+  <!ENTITY breeze-icons-md5sum        "ad6ca5a1b4bcd4613fe1095b2db58a97">
   <!ENTITY breeze-icons-size          "2.1 MB">
   <!ENTITY breeze-icons-buildsize     "260 MB">
Index: x/icons/oxygen-icons5.xml
===================================================================
--- x/icons/oxygen-icons5.xml	(revision 0f3db56b50ba1899fc93f09f0564fc859ec5e759)
+++ x/icons/oxygen-icons5.xml	(revision 53cd2d546c08c384819b497df9f083da8ecc8ed8)
@@ -7,5 +7,5 @@
   <!ENTITY oxygen-icons5-download-http "&kf5-download-http;/oxygen-icons5-&kf5-version;.tar.xz">
   <!ENTITY oxygen-icons5-download-ftp  " ">
-  <!ENTITY oxygen-icons5-md5sum        "0101721db51fdce9dd6e3e3b6de46f2a">
+  <!ENTITY oxygen-icons5-md5sum        "7e8e52f68e5150fdd76f719a723bef6a">
   <!ENTITY oxygen-icons5-size          "228 MB">
   <!ENTITY oxygen-icons5-buildsize     "452 MB">